<?php
class Personal{
     function __construct(){
        global $plantilla;
        $plantilla->breadcrumb[]=array("nombre"=>"Eventos","enlace"=>"./sistema_lista.php","clase"=>"noclase");
        $plantilla->header_texto1="Eventos";
        $plantilla->header_texto2="Listado";

    }
    public $tipo_area = array(
        "CENTRAL DE ESTERILIZACION",
        "CENTRO QUIRURGICO - SOP COVID",
        "EMERGENCIA",
        "GINECOLOGIA",
        "HOSPITALIZACION COVID",
        "NEONATOLOGIA",
        "ONCOLOGIA",
        "TRIAJE DIFERENCIADO COVID",
        "UCI COVID",
        "UCI GENERAL",
        "MEDICINA GENERAL",
        "CIRUGIA GENERAL",
        "MEDICINA Y CIRUGIA PEDIATRICA");
    public $tipo_profesion = array(
        "ENFERMERÍA",
        "Tec. Enfermería",
        "Radiología");

    public $tipo_sexo = array(
        "Femenino",
        "Masculino");

    public $tipo_especialidad = array(
        "Especialidad 1",
        "Especialidad 2",
        "Especialidad 3");
    public $tipo_condicion_laboral = array(
        "NOMBRADO",
        "CAS COVID",
        "CAS REGULAR");

    public $tipo_grupo_ocupacional = array(
        "LIC.",
        "TEC.");

    public $tipo_procedimiento = array(
        "Vendate Tórax",
        "Aplicación Ferula larga brazo / mano",
        "Aplicación Ferula corta Pierna Pantorrilla Pie",
        "Lavado ocular");
    public $tipo_procedimiento_estado = array(
        "Terminado",
        "Pendiente",
        "Cancelado");

    public function ejecutar(){
        //echo "PRICIPAL <br>";
        global $plantilla, $sesiones, $acceso, $basededatos;
        if(isset($_GET["accion"]) && $_GET["accion"]=="nuevo"){
            $plantilla->breadcrumb[]=array("nombre"=>"Nuevo Producto","enlace"=>"./sistema_productos.php?accion=nuevo","clase"=>"noclase");
            $plantilla->header_texto2="Nuevo Producto";
            $resultado=$this->nuevo();
        }
        
        elseif(isset($_GET["verificar"])){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";

            //$resultado='{"response":"0"}';
            $resultado=$this->verificar();
            
        }
        elseif(isset($_POST["editar_ajax"])){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            //$resultado='{"response":"0"}';
            $resultado=$this->editar_ajax();
        }
        elseif(isset($_POST["eliminar_ajax"])){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            //$resultado='{"response":"0"}';
            $resultado=$this->eliminar_ajax();
        }
        elseif(isset($_POST["accion"]) && $_POST["accion"]=="registrar"){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            $resultado=$this->registrar();
            
        }
        elseif(isset($_POST["accion"]) && $_POST["accion"]=="actualizar"){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            $resultado=$this->actualizar();
            
        }
        elseif(isset($_GET["accion"]) && $_GET["accion"]=="personal_nuevo"){
            $resultado=$this->personal_nuevo();
        }
        elseif(isset($_POST["accion"]) && $_POST["accion"]=="personal_grabar"){
            $resultado=$this->registrar();
        }
        elseif(isset($_GET["accion"]) && $_GET["accion"]=="area_nueva"){
            $resultado=$this->area_nuevo();
        }
        elseif(isset($_GET["accion"]) && $_GET["accion"]=="area_listado"){
            $resultado=$this->area_listado();
        }
        elseif(isset($_GET["accion"]) && $_GET["accion"]=="area_editar"){
            $resultado=$this->area_editar($_GET["id"]);
        }

        elseif(isset($_POST["accion"]) && $_POST["accion"]=="area_grabar"){
            //$plantilla->sin_plantilla=1;
            ///$plantilla->tipo_personalizado="application/json";
            $resultado=$this->area_grabar();
            
        }
        elseif(isset($_POST["accion"]) && $_POST["accion"]=="area_actualizar"){
            //$plantilla->sin_plantilla=1;
            ///$plantilla->tipo_personalizado="application/json";
            $resultado=$this->area_actualizar();
            
        }
        
        /* PROCEDIMIENTO */
        elseif(isset($_GET["accion"]) && $_GET["accion"]=="procedimiento_nuevo"){
            $resultado=$this->procedimiento_nuevo();
        }
        elseif(isset($_GET["accion"]) && $_GET["accion"]=="procedimiento_listado"){
            $resultado=$this->procedimiento_listado();
        }
        elseif(isset($_GET["accion"]) && $_GET["accion"]=="procedimiento_editar"){
            $resultado=$this->procedimiento_editar($_GET["id"]);
        }

        elseif(isset($_POST["accion"]) && $_POST["accion"]=="procedimiento_grabar"){
            //$plantilla->sin_plantilla=1;
            ///$plantilla->tipo_personalizado="application/json";
            $resultado=$this->procedimiento_grabar();
            
        }
        elseif(isset($_POST["accion"]) && $_POST["accion"]=="procedimiento_actualizar"){
            //$plantilla->sin_plantilla=1;
            ///$plantilla->tipo_personalizado="application/json";
            $resultado=$this->procedimiento_actualizar();
            
        }
        
        /* PROCEDIMIENTO */
        else{
            //echo "ELSE ";
            $resultado=$this->listado();
            //echo "RES ".$resultado;

        }
        return $resultado;
    }
    public function registrar(){
        global $basededatos,$sesiones, $enlace;
        $hash=$sesiones->generar_session_id(36);
        $verificar_hash=$basededatos->obtener_por_hash("id","personal",$hash);
        $sentencia="INSERT INTO personal
            (nombre,
            apellido,
            sexo,
            fecha_nacimiento,
            profesion,
            codigo_profesion,
            especialidad_1,
            especialidad_2,
            condicion_laboral,
            grupo_ocupacional,
            telefono,
            correo_electronico
            , hash)
        VALUES
        (
            '".$enlace->real_escape_string($_POST["nombre"])."',
            '".$enlace->real_escape_string($_POST["apellido"])."',
            '".$enlace->real_escape_string($_POST["sexo"])."',
            '".$enlace->real_escape_string($_POST["fecha_nacimiento"])."',
            '".$enlace->real_escape_string($_POST["profesion"])."',
            '".$enlace->real_escape_string($_POST["codigo_profesion"])."',
            '".$enlace->real_escape_string($_POST["especialidad_1"])."',
            '".$enlace->real_escape_string($_POST["especialidad_2"])."',
            '".$enlace->real_escape_string($_POST["condicion_laboral"])."',
            '".$enlace->real_escape_string($_POST["grupo_ocupacional"])."',
            '".$enlace->real_escape_string($_POST["telefono"])."',
            '".$enlace->real_escape_string($_POST["correo_electronico"])."',
            '".$enlace->real_escape_string($hash)."'
            )";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);
        return $this->listado;
    }
    public function registrar_masivo($nombre, $apellido, $sexo, $fecha_nacimiento, $profesion, $codigo_profesion, $especialidad_1, $especialidad_2, $condicion_laboral, $grupo_ocupacional, $telefono, $correo_electronico){
        global $basededatos,$sesiones, $enlace;
        $hash=$sesiones->generar_session_id(36);
        $verificar_hash=$basededatos->obtener_por_hash("id","personal",$hash);
        $sentencia="INSERT INTO personal
            (nombre,
            apellido,
            sexo,
            fecha_nacimiento,
            profesion,
            codigo_profesion,
            especialidad_1,
            especialidad_2,
            condicion_laboral,
            grupo_ocupacional,
            telefono,
            correo_electronico
            , hash)
        VALUES
        (
            '".$enlace->real_escape_string($nombre)."',
            '".$enlace->real_escape_string($apellido)."',
            '".$enlace->real_escape_string($sexo)."',
            '".$enlace->real_escape_string($fecha_nacimiento)."',
            '".$enlace->real_escape_string($profesion)."',
            '".$enlace->real_escape_string($codigo_profesion)."',
            '".$enlace->real_escape_string($especialidad_1)."',
            '".$enlace->real_escape_string($especialidad_2)."',
            '".$enlace->real_escape_string($condicion_laboral)."',
            '".$enlace->real_escape_string($grupo_ocupacional)."',
            '".$enlace->real_escape_string($telefon)."',
            '".$enlace->real_escape_string($correo_electronico)."',
            '".$enlace->real_escape_string($hash)."'
            )";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);
    }
    public function editar(){
        global $basededatos,$sesiones, $enlace;
        $sentencia="UPDATE personal SET
            nombre='".$enlace->real_escape_string($_POST["nombre"])."',
            apellido='".$enlace->real_escape_string($_POST["apellido"])."',
            sexo='".$enlace->real_escape_string($_POST["sexo"])."',
            fecha_nacimiento='".$enlace->real_escape_string($_POST["fecha_nacimiento"])."',
            profesion='".$enlace->real_escape_string($_POST["profesion"])."',
            codigo_profesion='".$enlace->real_escape_string($_POST["codigo_profesion"])."',
            especialidad_1='".$enlace->real_escape_string($_POST["especialidad_1"])."',
            especialidad_2='".$enlace->real_escape_string($_POST["especialidad_2"])."',
            condicion_laboral='".$enlace->real_escape_string($_POST["condicion_laboral"])."',
            grupo_ocupacional='".$enlace->real_escape_string($_POST["grupo_ocupacional"])."',
            telefono='".$enlace->real_escape_string($_POST["telefono"])."',
            grupo_ocupacional='".$enlace->real_escape_string($_POST["grupo_ocupacional"])."',
            correo_electronico='".$enlace->real_escape_string($_POST["correo_electronico"])."',
            WHERE id='".$enlace->real_escape_string($_POST["id"])."' ";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);

    }
    public function movimiento_personal($id_personal,$codigo_area){
        global $basededatos,$sesiones, $enlace;
        /*
            id
        id_personal
        id_area
        fecha_hora
        estado
        */
        $sentencia="UPDATE movimiento_personal SET estado=0 WHERE id_personal=".$id_personal."";
        $basededatos->ejecutar_sentencia($sentencia);
        $fecha_hora = date('Y-m-d H:i:s');
         $sentencia="INSERT INTO movimiento_personal
            (id_personal
            id_area,
            fecha_hora,
            estado)
        VALUES
        (
            '".$enlace->real_escape_string($id_personal)."',
            '".$enlace->real_escape_string($codigo_area)."',
            '".$enlace->real_escape_string($fecha_hora)."',
            '".$enlace->real_escape_string(1)."'
            )";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);


    }
    public function listado_personal_area(){

    }
    public function listado_areas(){
        $sentencia="SELECT * FROM `area` ";
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        $resultado = array();
        foreach ($datos as $clave => $valor) {
            array_push($resultado, $valor);
        }

        return $resultado;

    }

    public function select_html($arreglo,$nombre,$id,$seleccionado=NULL){
        $resultado = "<select name='$nombre' id='$id'>";
        if($seleccionado==NULL){
            $resultado .= "<option selected disabled>--SELECCIONE --</option>";
        }
        foreach ($arreglo as $clave => $valor) {
            if($clave==$seleccionado){
                $resultado .= "<option selected value='".$clave."'>".$valor."</option>";    
            }else{
                $resultado .= "<option value='".$clave."'>".$valor."</option>";    
            }
        }
        $resultado .= "</select>";
        return $resultado;

    }
    /* AREA */
    public function area_nuevo(){
        global $plantilla, $sesiones, $acceso,$configuracion;
        $plantilla->obtener_plantilla_interna("./themes/".$configuracion->plantilla["plantilla"]."/frontend/seccion_principal_area_nuevo.html"); 
        $resultado = $plantilla->devolver_plantilla_interna();
        //echo "EL RES ES ".$resultado;
        $buscar = array(
            "%%NOMBRE%%",
            "%%TIPO_AREA%%",
            "%%DESCRIPCION%%",
            "%%NRO_CAMAS%%");
        $reemplazar = array(
            "",
            $this->select_html($this->tipo_area,"tipo_area","tipo_area"),
            "",
            "0");
        $resultado = str_replace($buscar, $reemplazar, $resultado);
        return $resultado;
    }
    public function area_actualizar(){
        global $basededatos,$sesiones, $enlace;
        $sentencia="UPDATE area SET
            nombre='".$enlace->real_escape_string($_POST["nombre"])."',
            descripcion='".$enlace->real_escape_string($_POST["descripcion"])."',
            tipo_area='".$enlace->real_escape_string($_POST["tipo_area"])."',
            nro_camas='".$enlace->real_escape_string($_POST["nro_camas"])."',
            camas_libres='".$enlace->real_escape_string($_POST["camas_libres"])."'
            WHERE id='".$enlace->real_escape_string($_POST["id"])."' ";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);
        
        $resultado = "INFORMACION ACTUALIZADA ";
        $resultado .= $this->area_listado();
        return $resultado;
    }
    public function area_grabar(){
        global $basededatos,$sesiones, $enlace;
        $hash=$sesiones->generar_session_id(36);
        //$verificar_hash=$basededatos->obtener_por_hash("id","personal",$hash);
        $sentencia="INSERT INTO area
            (nombre,
            descripcion,
            tipo_area,
            nro_camas)
        VALUES
        (
            '".$enlace->real_escape_string($_POST["nombre"])."',
            '".$enlace->real_escape_string($_POST["descripcion"])."',
            '".$enlace->real_escape_string($_POST["tipo_area"])."',
            '".$enlace->real_escape_string($_POST["nro_camas"])."'
            )";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);
        $resultado = "INFORMACION GRABADA";
        return $resultado;
    }
    public function area_editar(){
        global $plantilla, $sesiones, $acceso,$configuracion, $basededatos,$enlace;
        $plantilla->obtener_plantilla_interna("./themes/".$configuracion->plantilla["plantilla"]."/frontend/seccion_principal_area_editar.html"); 
        $resultado = $plantilla->devolver_plantilla_interna();
        //echo "EL RES ES ".$resultado;
        $sentencia = "SELECT * FROM area WHERE id='".$enlace->real_escape_string($_GET["id"])."'";
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        /*foreach ($datos as $clave => $valor) {
            $resultado .='<div class="row">
                                <div class="col-md-6 col-sm-6 col-xs-6">
                                    '.$datos[$clave]["nombre"].'
                                </div>
                                <div class="col-md-6 col-sm-6 col-xs-6">
                                    <a href="personal.php?accion=area_editar&id='.$datos[$clave]["id"].'">Editar</a>
                                </div>
                            </div>';
        }*/
        $buscar = array(
            "%%NOMBRE%%",
            "%%TIPO_AREA%%",
            "%%DESCRIPCION%%",
            "%%NRO_CAMAS%%",
            "%%NRO_CAMAS_LIBRE%%",
            "%%ID%%");
        $reemplazar = array(
            $datos[0]["nombre"],
            $this->select_html($this->tipo_area,"tipo_area","tipo_area",$datos[0]["tipo_area"]),
            $datos[0]["descripcion"],
            $datos[0]["nro_camas"],
            $datos[0]["camas_libres"],
            $datos[0]["id"]);
        $resultado = str_replace($buscar, $reemplazar, $resultado);
        return $resultado;
    }
    public function area_listado(){
        global $basededatos,$sesiones, $enlace;
        $resultado ='<div class="widget-area-2 proclinic-box-shadow">
                            <h3 class="widget-title">LISTADO AREA</h3>
                            <div class="row">
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    Nombre
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    Tipo Area
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    Camas Libres
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    Editar
                                </div>
                            </div>
                            ';
        $sentencia = "SELECT * FROM area";
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        foreach ($datos as $clave => $valor) {
            $resultado .='<div class="row">
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    '.$datos[$clave]["nombre"].'
                                </div>
                                
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    '.$this->tipo_area[$datos[$clave]["tipo_area"]].'
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    '.$datos[$clave]["camas_libres"].'
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    <a href="personal.php?accion=area_editar&id='.$datos[$clave]["id"].'">Editar</a>
                                </div>
                            </div>';
        }


        $resultado .='</div>';

        return $resultado;
    }

    /* AREA */
    /* PROCEDIMIENTO */
    public function procedimiento_nuevo(){
        global $plantilla, $sesiones, $acceso,$configuracion;
        $plantilla->obtener_plantilla_interna("./themes/".$configuracion->plantilla["plantilla"]."/frontend/seccion_principal_procedimiento_nuevo.html"); 
        $resultado = $plantilla->devolver_plantilla_interna();
        //echo "EL RES ES ".$resultado;
        $buscar = array(
            "%%NOMBRE%%",
            "%%TIPO_PROCEDIMIENTO%%",
            "%%FECHA%%");
        $reemplazar = array(
            "",
            $this->select_html($this->tipo_procedimiento,"tipo_procedimiento","tipo_procedimiento"),
            "");
        $resultado = str_replace($buscar, $reemplazar, $resultado);
        return $resultado;
    }
    public function procedimiento_actualizar(){
        global $basededatos,$sesiones, $enlace;
        $sentencia="UPDATE procedimiento SET
            nombre='".$enlace->real_escape_string($_POST["nombre"])."',
            tipo_procedimiento='".$enlace->real_escape_string($_POST["tipo_procedimiento"])."',
            fecha='".$enlace->real_escape_string($_POST["fecha"])."',
            estado='".$enlace->real_escape_string($_POST["estado"])."'
            WHERE id='".$enlace->real_escape_string($_POST["id"])."' ";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);
        
        $resultado = "INFORMACION ACTUALIZADA ";
        $resultado .= $this->procedimiento_listado();
        return $resultado;
    }
    public function procedimiento_grabar(){
        global $basededatos,$sesiones, $enlace;
        $hash=$sesiones->generar_session_id(36);
        //$verificar_hash=$basededatos->obtener_por_hash("id","personal",$hash);
        $sentencia="INSERT INTO procedimiento
            (nombre,
            tipo_procedimiento,
            fecha,
            estado)
        VALUES
        (
            '".$enlace->real_escape_string($_POST["nombre"])."',
            '".$enlace->real_escape_string($_POST["tipo_procedimiento"])."',
            '".$enlace->real_escape_string($_POST["fecha"])."',
            '".$enlace->real_escape_string(1)."'
            )";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);
        $resultado = "INFORMACION GRABADA ".$sentencia;
        return $resultado;
    }
    public function procedimiento_editar(){
        global $plantilla, $sesiones, $acceso,$configuracion, $basededatos,$enlace;
        $plantilla->obtener_plantilla_interna("./themes/".$configuracion->plantilla["plantilla"]."/frontend/seccion_principal_procedimiento_editar.html"); 
        $resultado = $plantilla->devolver_plantilla_interna();
        //echo "EL RES ES ".$resultado;
        $sentencia = "SELECT * FROM procedimiento WHERE id='".$enlace->real_escape_string($_GET["id"])."'";
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        /*foreach ($datos as $clave => $valor) {
            $resultado .='<div class="row">
                                <div class="col-md-6 col-sm-6 col-xs-6">
                                    '.$datos[$clave]["nombre"].'
                                </div>
                                <div class="col-md-6 col-sm-6 col-xs-6">
                                    <a href="personal.php?accion=area_editar&id='.$datos[$clave]["id"].'">Editar</a>
                                </div>
                            </div>';
        }*/
        $buscar = array(
            "%%NOMBRE%%",
            "%%TIPO_PROCEDIMIENTO%%",
            "%%FECHA%%",
            "%%ESTADO%%",
            "%%ID%%");
        $reemplazar = array(
            $datos[0]["nombre"],
            $this->select_html($this->tipo_procedimiento,"tipo_procedimiento","tipo_procedimiento",$datos[0]["tipo_procedimiento"]),
            $datos[0]["fecha"],
            $this->select_html($this->tipo_procedimiento_estado,"estado","estado",$datos[0]["estado"]),
            $datos[0]["id"]);
        $resultado = str_replace($buscar, $reemplazar, $resultado);
        return $resultado;
    }
    public function procedimiento_listado(){
        global $basededatos,$sesiones, $enlace;
        $resultado ='<div class="widget-area-2 proclinic-box-shadow">
                            <h3 class="widget-title">LISTADO PROCEDIMIENTOS</h3>
                            <div class="row">
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    fecha hora
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    Tipo Procedimiento
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    Estado
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    Editar
                                </div>
                            </div>
                            ';
        $sentencia = "SELECT * FROM procedimiento";
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        foreach ($datos as $clave => $valor) {
            $resultado .='<div class="row">
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    '.$datos[$clave]["fecha"].'
                                </div>
                                
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    '.$this->tipo_procedimiento[$datos[$clave]["tipo_procedimiento"]].'
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    '.$this->tipo_procedimiento_estado[$datos[$clave]["estado"]].'
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-3">
                                    <a href="personal.php?accion=procedimiento_editar&id='.$datos[$clave]["id"].'">Editar</a>
                                </div>
                            </div>';
        }


        $resultado .='</div>';

        return $resultado;
    }
    public function procedimiento_listado_widget(){
        global $basededatos,$sesiones, $enlace;
        $resultado ='<div class="col-md-12">
                        <div class="widget-area-2 proclinic-box-shadow">
                            <h3 class="widget-title">Procedimientos</h3>
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped">
                                    <thead>
                                        <tr>
                                            <th>Procedimiento</th>
                                            <th>Fecha Hora</th>
                                            <th>Estado</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                            ';
        $sentencia = "SELECT * FROM procedimiento";
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        foreach ($datos as $clave => $valor) {
            $resultado .='
                                        <tr>
                                            <td>'.$datos[$clave]["fecha"].'</td>
                                            <td>'.$this->tipo_procedimiento[$datos[$clave]["tipo_procedimiento"]].'</td>
                                            
                                            <td>
                                                <span class="badge badge-success">'.$this->tipo_procedimiento_estado[$datos[$clave]["estado"]].'</span>
                                            </td>
                                        </tr>
            ';
        }


        $resultado .='</tbody>
                                </table>
                            </div>
                        </div>
                    </div>';

        return $resultado;
    }
    /* PROCEDIMIENTO */

    public function personal_nuevo(){
        global $plantilla, $sesiones, $acceso,$configuracion;
        $plantilla->obtener_plantilla_interna("./themes/".$configuracion->plantilla["plantilla"]."/frontend/seccion_principal_personal_nuevo.html"); 
        $resultado = $plantilla->devolver_plantilla_interna();
        //echo "EL RES ES ".$resultado;
        $buscar = array(
            "%%NOMBRE%%",
            "%%APELLIDO%%",
            "%%TIPO_SEXO%%",
            "%%FECHA_NACIMIENTO%%",
            "%%TIPO_PROFESION%%",
            "%%CODIGO_PROFESION%%",
            "%%ESPECIALIDAD_1%%",
            "%%ESPECIALIDAD_2%%",
            "%%CONDICION_LABORAL%%",
            "%%GRUPO_OCUPACIONAL%%",
            "%%TELEFONO%%",
            "%%CORREO_ELECTRONICO%%");
        $reemplazar = array(
            "",
            "",
            $this->select_html($this->tipo_sexo,"sexo","sexo"),
            "",
            $this->select_html($this->tipo_profesion,"profesion","profesion"),
            "",
            $this->select_html($this->tipo_especialidad,"especialidad_1","especialidad_1"),
            $this->select_html($this->tipo_especialidad,"especialidad_2","especialidad_2"),
            $this->select_html($this->tipo_condicion_laboral,"condicion_laboral","condicion_laboral"),
            $this->select_html($this->tipo_grupo_ocupacional,"grupo_ocupacional","grupo_ocupacional"),
            "",
            "");
        $resultado = str_replace($buscar, $reemplazar, $resultado);
        return $resultado;
    }

    public function personal_listado(){
        global $basededatos,$sesiones, $enlace;
        $resultado ='<div class="widget-area-2 proclinic-box-shadow">
                            <h3 class="widget-title">LISTADO Personal</h3>
                            
                            ';
        $sentencia = "SELECT * FROM personal";
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        foreach ($datos as $clave => $valor) {
            $resultado .='<div class="row">
                                <div class="col-md-6 col-sm-6 col-xs-6">
                                    '.$datos[$clave]["nombre"].'
                                </div>
                                <div class="col-md-6 col-sm-6 col-xs-6">
                                    <a href="personal.php?accion=area_editar&id='.$datos[$clave]["id"].'">Editar</a>
                                </div>
                            </div>';
        }


        $resultado .='</div>';

        return $resultado;
    }
    public function listado(){
        //$resultado = "tengo hambre";
        $resultado = $this->area_nuevo();
        //$resultado .= $this->select_html($this->tipo_area,"tipo_area","tipo_area",3);
        return $resultado;
    }
}