<?php
class Plantilla{
    public $tipo_plantilla;
    public $buscar;
    public $reemplazar;
    public $cargar_ajax=1;
    public $limpio=0;
    public $sin_plantilla=0;
    public $tipo_personalizado=NULL;

    public $tab2=NULL;
    public $tab3=NULL;
    public $tab4=NULL;
    public $tab5=NULL;
    public $tab6=NULL;
    public $tab7=NULL;
    public $tab8=NULL;
    public $tab9=NULL;
    public $breadcrumb=NULL;
    public $header_texto1=NULL;
    public $header_texto2=NULL;

    private $plantilla;
    private $plantilla_actual;
    private $TEMPLATE;
    private $platilla_interna;
    private $plantilla_entorno;
    public $hoteles_variables="1";
    public $clase_contenedor="";



    private $init_crear_cliente  = array('%%nombre%%', '%%apellido%%', '%%email%%', '%%fecha_nacimiento%%', '%%telefono%%', '%%telefono2%%', '%%pasaporte_numero%%');
    private $init_crear_cliente_reemplazo = array('', '', '', '', '', '', '');
    function __construct(){
        $this->breadcrumb[]=array("nombre"=>"Inicio","enlace"=>"./sistema.php","clase"=>"noclase");
    }
    public function generar_etiqueta($etiqueta,$valor,$opciones=NULL,$autocierre=0){
        foreach ($opciones as $nombre => $xvalor) {
            $las_opciones.=" ".$nombre."=\"".$xvalor."\"";
        }
        if($autocierre){$e_autocierre="/";$valor=NULL;$cierre=NULL;}else{$cierre="</".$etiqueta.">";}
        $resultado="<".$etiqueta." ".$las_opciones." ".$e_autocierre.">".$valor.$cierre;
        //echo "Resxxx:".htmlentities($resultado);
        return $resultado;
    }
    public function generar_header(){
        global $configuracion;
        //echo "GENERANDO HEADER";
        $this->obtener_plantilla_interna("./themes/".$configuracion->plantilla["plantilla"]."/frontend/seccion_principal_header.html"); 
        $resultado=$this->devolver_plantilla_interna();
        if(!empty($this->header_texto1)){ $resultado=str_replace("%%HEADER_TEXTO1%%",$this->header_texto1,$resultado);}
        if(!empty($this->header_texto2)){ $resultado=str_replace("%%HEADER_TEXTO2%%",$this->header_texto2,$resultado);}
        $resultado=str_replace("%%BREADCRUMB%%",$this->generar_breadcrumb(),$resultado);
        //echo "RES ".$resultado."<br>";
        return $resultado;

    }
    public function generar_breadcrumb(){
        //echo "Generando breadcrumb";
        $tam=sizeof($this->breadcrumb)-1;
        $resultado=NULL;
        /*echo "<pre>\n";
        print_r($this->breadcrumb);
        echo "</pre>\n";*/
        foreach ($this->breadcrumb as $clave => $valor) {
            if($clave==0){
                //echo "CLave Cero encontrada";
                $resultado.='<a href="'.$this->breadcrumb[$clave]["enlace"].'" class="breadcrumb-item '.$this->breadcrumb[$clave]["clase"].'"><i class="icon-home2 mr-2"></i> '.$this->breadcrumb[$clave]["nombre"].'</a>';
            }
            elseif($clave==$tam){
                $resultado.='<span class="breadcrumb-item active">'.$this->breadcrumb[$clave]["nombre"].'</span>';
            }
            else{ $resultado.='<a href="'.$this->breadcrumb[$clave]["enlace"].'" class="breadcrumb-item '.$this->breadcrumb[$clave]["clase"].'">'.$this->breadcrumb[$clave]["nombre"].'</a>';}
            # code...
        }
        //$resultado="Tam resultados ".$tam;
        return $resultado;

    }

    public function directorio_plantilla(){
        global $configuracion;
        $separador="/";
        $entorno="";
            if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {
            $separador="\\";
            //$dirs = array_filter(glob(dirname(__FILE__) .'\plantilla\*', GLOB_ONLYDIR));
            }
            if(!empty($this->plantilla_entorno)){
                $entorno=$this->plantilla_entorno.$separador;
            }
        $plantilla=dirname(dirname(__FILE__)).$separador.$configuracion->plantilla["contenedor"].$separador.$configuracion->plantilla["plantilla"].$separador.$entorno;
        return $plantilla;
    }


    public function set_Plantilla_actual($plantilla) { 
        $this->plantilla_actual = $plantilla; 
    }
    public function get_Plantilla_actual() { 
        return $this->plantilla_actual; 
    }

    public function set_Plantilla_entorno($plantilla) { 
        $this->plantilla_entorno = $plantilla; 
    }
    public function get_Plantilla_entorno() { 
        return $this->plantilla_entorno; 
    }

    public function set_Plantilla_archivo($plantilla) { 
        $this->plantilla = $plantilla; 
    }
    public function get_Plantilla_archivo() { 
        return $this->plantilla; 
    }

    public function set_Plantilla($plantilla) { 
        $this->plantilla = $plantilla; 
    }
    public function get_Plantilla() { 
        return $this->plantilla; 
    }
    public function obtener_plantilla($plantilla){
        $valor=implode("", file($plantilla));
        return $valor;
    }
    public function obtener_plantilla_interna($plantilla){
        $this->plantilla_interna=implode("", file($plantilla));
    }

    public function set_plantilla_archivo_interno($plantilla){
        $this->plantilla_archivo_interno=$plantilla;
    }
    public function obtener_archivo_internom($plantilla){
        return implode("", file($plantilla));
    }
    public function obtener_archivo_interno(){
         $abrir_archivo_plantilla.="themes/";
        if(!empty($this->plantilla_actual)){ $abrir_archivo_plantilla.=$this->plantilla_actual."/"; $valor_this="themes/".$this->plantilla_actual;}
        if(!empty($this->plantilla_entorno)){ $abrir_archivo_plantilla.=$this->plantilla_entorno."/";}
        if(!empty($this->plantilla)){ $abrir_archivo_plantilla.=$this->plantilla_archivo_interno;}
    //echo "AAA ".$abrir_archivo_plantilla;
    return implode("", file($abrir_archivo_plantilla));
    }



public function select_gen($array,$requerido=0,$estado=0,$cero=0,$devolvervalor=0,$name="gen",$id="gen"){
    global $Idiomas;
$total=count($array)-1;
//echo "Valor de estado recibido es ".$estado."\n";
    if($requerido){$txt_requerido='required="required"';}
    $html.='<select name="'.$name.'" '.$txt_requerido.'  id="'.$id.'" class="form-control chosen-select">';
    if($cero){
        if($estado==0){$html.='<option value="0" selected="selected">'.$array[0].'</option>';}else{$html.='<option value="0">'.$array[0].'</option>';}
    }
$estadox=$estado;
for($i=1;$i<=$total;$i++){
    if($i==$estado){
        $html.='<option value="'.$i.'" selected>'.$array[$i].'</option>';
        }
    else{
        $html.='<option value="'.$i.'">'.$array[$i].'</option>';
        }
    }   
    $html.='</select>';

if($devolvervalor){$html=$array[$estado];}      
    return $html;
}

public function init_crear_cliente(){
    global $cliente;
    $this->plantilla_interna=str_replace($this->init_crear_cliente, $this->init_crear_cliente_reemplazo, $this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%PAISES_PASAPORTE%%",Paises::listarpaises(230,"pasaporte_pais","pasaporte_pais"),$this->plantilla_interna);

    $this->plantilla_interna = str_replace("%%nacionalidad%%",Paises::listarpaises(230,"nacionalidad","nacionalidad"),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%paisresidencia%%",Paises::listarpaises(230,"paisresidencia","paisresidencia"),$this->plantilla_interna);

    $this->plantilla_interna = str_replace("%%TARJETAPAISES%%",Paises::listarpaises(230,"tarjeta_pais","tarjeta_pais","registrar_tarjeta",1),$this->plantilla_interna); 
    $this->plantilla_interna = str_replace("%%TARJETAESTADOS%%",Paises::listarestadospaises("US",0,"tarjeta_estado","tarjeta_estado","registrar_tarjeta",1),$this->plantilla_interna); 

    $this->plantilla_interna = str_replace("%%PAISES%%",Paises::listarpaises(230),$this->plantilla_interna); 
    $this->plantilla_interna = str_replace("%%ESTADOS%%",Paises::listarestadospaises("US"),$this->plantilla_interna); 
    $this->plantilla_interna = str_replace("%%genero%%",$cliente->select_genero(),$this->plantilla_interna);
}


public function init_crear_proveedor(){
    global $proveedores;
    global $Idiomas;
    
    $this->plantilla_interna = str_replace("%%PAISES_PASAPORTE%%",Paises::listarpaises(230,"pasaporte_pais","pasaporte_pais"),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%paises%%",Paises::listarpaises(230),$this->plantilla_interna); 
    $this->plantilla_interna = str_replace("%%estados%%",Paises::listarestadospaises("US",0,"estado","estado"),$this->plantilla_interna); 

    $this->plantilla_interna = str_replace("%%paises_facturacion%%",Paises::listarpaises(230,"facturacion_pais","facturacion_pais"),$this->plantilla_interna); 
    $this->plantilla_interna = str_replace("%%estados_facturacion%%",Paises::listarestadospaises("US",0,"facturacion_estado","facturacion_estado"),$this->plantilla_interna); 


    $this->plantilla_interna = str_replace("%%metodo_pago%%",$proveedores->select_metodo_pago(),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%tipo_contrato%%",$proveedores->select_tipo_contrato(),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%contacto_cargo%%",$proveedores->select_contacto_cargo(),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%categoria%%",$proveedores->select_categoria(),$this->plantilla_interna);


    

    $this->plantilla_interna = str_replace("%%idioma%%",$proveedores->select_gen($Idiomas->idiomalista,0,0,0,"idioma","idioma"),$this->plantilla_interna);

}

public function init_crear_rentadora(){
    
    global $Idiomas;
    
    $this->plantilla_interna = str_replace("%%PAISES_PASAPORTE%%",Paises::listarpaises(230,"pasaporte_pais","pasaporte_pais"),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%paises%%",Paises::listarpaises(230),$this->plantilla_interna); 
    $this->plantilla_interna = str_replace("%%estados%%",Paises::listarestadospaises("US",0,"estado","estado"),$this->plantilla_interna); 

    $this->plantilla_interna = str_replace("%%paises_facturacion%%",Paises::listarpaises(230,"facturacion_pais","facturacion_pais"),$this->plantilla_interna); 
    $this->plantilla_interna = str_replace("%%estados_facturacion%%",Paises::listarestadospaises("US",0,"facturacion_estado","facturacion_estado"),$this->plantilla_interna); 


}

public function init_crear_agencia(){
    global $agencias;
    global $Idiomas;
    
    $this->plantilla_interna = str_replace("%%PAISES_PASAPORTE%%",Paises::listarpaises(230,"pasaporte_pais","pasaporte_pais"),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%paises%%",Paises::listarpaises(230),$this->plantilla_interna); 
    $this->plantilla_interna = str_replace("%%estados%%",Paises::listarestadospaises("US",0,"estado","estado"),$this->plantilla_interna); 

    $this->plantilla_interna = str_replace("%%paises_facturacion%%",Paises::listarpaises(230,"facturacion_pais","facturacion_pais"),$this->plantilla_interna); 
    $this->plantilla_interna = str_replace("%%estados_facturacion%%",Paises::listarestadospaises("US",0,"facturacion_estado","facturacion_estado"),$this->plantilla_interna); 


    $this->plantilla_interna = str_replace("%%metodo_pago%%",$agencias->select_metodo_pago(),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%tipo_contrato%%",$agencias->select_tipo_contrato(),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%contacto_cargo%%",$agencias->select_contacto_cargo(),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%categoria%%",$agencias->select_categoria(),$this->plantilla_interna);


    

    $this->plantilla_interna = str_replace("%%idioma%%",$agencias->select_gen($Idiomas->idiomalista,0,0,0,"idioma","idioma"),$this->plantilla_interna);

}


public function reemplazar_valores_plantilla_interna($tipo=0){
    global $cliente;
    print_r($this->reemplazar);
    print_r($this->buscar);
    $arreglos_idioma=new Arreglos_idioma();
    $clave = array_search('%%pasaporte_pais%%', $this->buscar);
    $genero_clave = array_search('%%genero%%', $this->buscar);

    $clave_pais = array_search('%%pais%%', $this->buscar);
    $clave_estado = array_search('%%estado%%', $this->buscar);
    $clave_tarjeta_pais = array_search('%%tarjeta_pais%%', $this->buscar);
    $clave_tarjeta_estado = array_search('%%tarjeta_estado%%', $this->buscar);

    $clave_nacionalidad=array_search('%%nacionalidad%%', $this->buscar);
    $clave_paisresidencia=array_search('%%paisresidencia%%', $this->buscar);

    $this->plantilla_interna = str_replace("%%PAISES_PASAPORTE%%",Paises::listarpaises($this->reemplazar[$clave],"pasaporte_pais","pasaporte_pais"),$this->plantilla_interna);
    /*print_r($this->reemplazar);
    print_r($this->buscar);
    echo "GENERO CLAVE ".$this->reemplazar[$genero_clave]."\n";*/
    $this->plantilla_interna = str_replace("%%nacionalidad_listado%%",Paises::listarpaises($this->reemplazar[$clave_nacionalidad],"nacionalidad","nacionalidad"),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%paisresidencia_listado%%",Paises::listarpaises($this->reemplazar[$clave_paisresidencia],"paisresidencia","paisresidencia"),$this->plantilla_interna);

    $this->plantilla_interna = str_replace("%%pais_listado%%",Paises::listarpaises($this->reemplazar[$clave_pais],"pais","pais"),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%estado_listado%%",Paises::listarestadospaises(Paises::obtenercodigopais($this->reemplazar[$clave_pais]),$this->reemplazar[$clave_estado],"estado","estado"),$this->plantilla_interna);


    $this->plantilla_interna = str_replace("%%TARJETAPAISES%%",Paises::listarpaises(230,"tarjeta_pais","tarjeta_pais","registrar_tarjeta",1),$this->plantilla_interna); 
    $this->plantilla_interna = str_replace("%%TARJETAESTADOS%%",Paises::listarestadospaises(Paises::obtenercodigopais(230),0,"tarjeta_estado","tarjeta_estado","registrar_tarjeta",1),$this->plantilla_interna); 




    //select_gen($array,$requerido=0,$estado=0,$cero=0,$devolvervalor=0,$name="gen",$id="gen")
    //$this->select_gen($arreglos_idioma->arreglo_genero,1,$this->reemplazar[$genero_clave],1,0,"genero","genero");
    $arreglos_idioma->generar_arreglo("arreglo_genero");
    $this->select_gen($arreglos_idioma->arreglo_genero,1,$this->reemplazar[$genero_clave],1,0,"genero","genero");
    //$this->plantilla_interna = str_replace("%%genero_listado%%",Paises::listarpaises($this->reemplazar[$clave_paisresidencia],"paisresidencia","paisresidencia"),$this->plantilla_interna);
    //        select_gen($array,$requerido=0,$estado=0,$cero=0,$devolvervalor=0,$name="gen",$id="gen")
    //$this->select_gen($arreglos_idioma->arreglo_genero,1,$this->reemplazar[$genero_clave],1,0,"genero","genero");
    $this->plantilla_interna = str_replace("%%genero_listado%%",$this->select_gen($arreglos_idioma->arreglo_genero,1,$this->reemplazar[$genero_clave],1,0,"genero","genero"),$this->plantilla_interna);
    //echo "aaaaaaaaaaaaaaaaaaaqq ".print_r($this->reemplazar,1)."<br>";    
    //echo "aaaaaaaaaaaaaaaaaaa ".$this->reemplazar["paises"]."<br>";
    $this->plantilla_interna = str_replace("%%pais_nombre%%",Paises::obtenernombrepais($this->reemplazar[$clave_pais]),$this->plantilla_interna);
    $this->plantilla_interna = str_replace("%%estado_nombre%%",Paises::obtenernombreestado($this->reemplazar[$clave_estado],$this->reemplazar[$clave_pais]),$this->plantilla_interna);

    $this->plantilla_interna = str_replace("%%genero%%",$cliente->select_genero($this->reemplazar[$genero_clave]),$this->plantilla_interna);
    
    $this->plantilla_interna=str_replace($this->buscar, $this->reemplazar, $this->plantilla_interna);
    //$this->plantilla_interna=$this->plantilla_interna;

preg_match_all("/\{\('([a-zA-Z 0-9]+)'\)\}/", $this->plantilla_interna,  $salida, PREG_PATTERN_ORDER);
//    preg_match_all("{('[a-zA-Z 0-9]+')}", $this->plantilla_interna,  $salida, PREG_PATTERN_ORDER);
//print_r($salida);
    $buscar_traduccion[]="";
    $reemplazar_traduccion[]="";

$Idiomas=new Idiomas();    
/*
foreach ($salida as $key => $value)
{
  if (is_array($value))
 {
  foreach ($value as $ikey => $ivalue)
  {
    $buscar_traduccion[$ikey]="{".$ivalue."}";
    $reemplazar_traduccion[$ikey]=$Idiomas->traduccion($ivalue);
    //echo $ikey . ' => ' . $ivalue . '<br />';
  }
 }  
}
*/



  foreach ($salida[1] as $ikey => $ivalue)
  {
    $buscar_traduccion[$ikey]="{('".$ivalue."')}";
    $reemplazar_traduccion[$ikey]=$Idiomas->traduccion($ivalue);
    //echo $ikey . ' => ' . $ivalue . '<br />';
  }
 
print_r($buscar_traduccion);
print_r($reemplazar_traduccion);

$this->plantilla_interna=str_replace($buscar_traduccion, $reemplazar_traduccion, $this->plantilla_interna);
   // public function generar_matriz_reemplazo($row){
/* foreach(array_keys($row) as $key )
{
    $this->buscar[]="%%".$key."%%";
    $this->reemplazar[]=$row[$key];
} */

    




}
public function devolver_plantilla_interna(){
    return $this->plantilla_interna;
}

public function ocultar_secciones($inicio,$fin){
   // Inicio::Ocultar::Edicion
    $this->plantilla_interna=str_replace("<!--".$inicio."-->","<!--",$this->plantilla_interna);
    $this->plantilla_interna=str_replace("<!--".$fin."-->","-->",$this->plantilla_interna);

   //$search = "/[^<!--".$inicio."-->](.*)[^<!--".$fin."-->]/";
  /*  $search = "/[^<!--".$inicio."-->](.*)[^<!--".$fin."-->]/";
    $search =preg_quote($search);
    $replace = "";
    preg_replace($search,$replace,$this->plantilla); */
}

public function reemplazar_valores_obtener_plantilla(){
    global $codigo;
$codigo = str_replace("%%PAISES_PASAPORTE%%",Paises::listarpaises(230,"pasaporte_pais","pasaporte_pais"),$codigo);
$codigo = str_replace("%%PAISES%%",Paises::listarpaises(230),$codigo); 
$codigo = str_replace("%%ESTADOS%%",Paises::listarestadospaises("US"),$codigo); 

}

public function generar_matriz_reemplazo($row){
foreach(array_keys($row) as $key )
{
    $this->buscar[]="%%".$key."%%";
    $this->reemplazar[]=$row[$key];
}
/*echo "Generar Matriz de reemplazo<br>";
print_r($this->buscar);
print_r($this->reemplazar); */
}
public function reemplazar_valores_plantilla($minicartx=1){
    global $configuracion;
    //$tabs=new Tabs();

    //$TEMPLATE2=$this->plantilla;
    // calculos para motor simpple pantilla
     //$abrir_archivo_plantilla.="themes/";
     //echo "Reemplazar valores";
    //if(!empty($this->plantilla_actual)){ $abrir_archivo_plantilla.=$this->plantilla_actual."/"; $valor_this="themes/".$this->plantilla_actual;}
    //if(!empty($this->plantilla_entorno)){ $abrir_archivo_plantilla.=$this->plantilla_entorno."/";}
    $valor_this=$configuracion->plantilla["contenedor"]."/".$configuracion->plantilla["plantilla"];
    if(!empty($this->plantilla)){ $abrir_archivo_plantilla.=$this->plantilla;
        /*echo "cosa ".$abrir_archivo_plantilla;*/}
    //fin calculos
        if(file_exists($abrir_archivo_plantilla)){
            /*echo "Existe el archivo";*/
        }

    $TEMPLATE2=implode("", file($abrir_archivo_plantilla));
    //echo $TEMPLATE2;
    //$TEMPLATE2=implode("", file($this->plantilla));
    global $idiomas,$paraflash,$seleccionados,$favoritos,$accesosalir,$ordenar,$minicart,$nombre,$codigo,$paginas,$mensaje,$principal_inferior,$url_script_imagen_principal;
    global $script_mapa_hoteles;
    global $menu_lateral;
// echo "LOCA xxxx".$minicartx; facebook
//$accesosalir=accesosalir();
/*MINICART_CARRITODECOMPRAS */
$javascript='
<script language="JavaScript"> 
$(document).ready(function(){
        $("#minicarritoicono").hide();                 
                            });
</script>';
$enviogratis='<div class="enviogratis_titulo">'.ENVIOGRATIS_TITULO.'</div><div class="enviogratis_descripcion">'.ENVIOGRATIS_DESC.'</div>';
//$subtotal=totales_simple();
//$valor=totales_simple();
//$idiomas=listar_idiomas();
$subtotal= "<a href='carrito_compras.php'>Total ".$valor." ".IR_A_CARRITO.": </a>";
//$bloquecategorias=bloquecategorias();
$TEMPLATE2 = str_replace("%%BLOQUEPRODUCTOS%%",$bloquecategorias,$TEMPLATE2);
$TEMPLATE2 = str_replace("%%IFP%%",IDIOMA_FACEBOOK_PLUGINS,$TEMPLATE2); 
$TEMPLATE2 = str_replace("{(THIS)}",$valor_this,$TEMPLATE2); 


$TEMPLATE2 = str_replace("%%CONTACTENOS%%",GENERAL_CONTACTENOS,$TEMPLATE2); 
$TEMPLATE2 = str_replace("%%REGISTRESE%%",GENERAL_REGISTRSE,$TEMPLATE2);    
$TEMPLATE2 = str_replace("%%INGRESE%%",GENERAL_INGRESE,$TEMPLATE2); 

$TEMPLATE2 = str_replace("%%BUSCAR%%",GENERAL_BUSCAR,$TEMPLATE2);   
$TEMPLATE2 = str_replace("%%DESTINOS_DESTACADOS%%",GENERAL_DESTINOS_DESTACADOS,$TEMPLATE2); 
$TEMPLATE2 = str_replace("%%ENCUENTRE_MAS_DESTINOS%%",GENERAL_ENCUENTRE_MAS_DESTINOS,$TEMPLATE2);   
$TEMPLATE2 = str_replace("%%MAS_INFORMACION%%",GENERAL_MAS_INFORMACION,$TEMPLATE2); 
$TEMPLATE2 = str_replace("%%IMAGEN%%",GENERAL_IMAGEN,$TEMPLATE2);   
$TEMPLATE2 = str_replace("%%QUIENES_SOMOS%%",GENERAL_QUIENES_SOMOS,$TEMPLATE2); 
$TEMPLATE2 = str_replace("%%PAQUETES_TURISTICOS%%",GENERAL_PAQUETES_TURISTICOS,$TEMPLATE2); 
$TEMPLATE2 = str_replace("%%CALENDARIO_TURISTICO%%",GENERAL_CALENDARIO_TURISTICO,$TEMPLATE2);   

//$TEMPLATE2 = str_replace("%%DIRECCION%%",configuracion_valores("direccion"),$TEMPLATE2);    




$TEMPLATE2 = str_replace("%%recommendus%%",WM_RECOMENDAR,$TEMPLATE2);               
$TEMPLATE2 = str_replace("%%welcomemembers%%",WM_BIENVENIDOS,$TEMPLATE2);               
$TEMPLATE2 = str_replace("%%addtofavorites%%",WM_FAVORITOS,$TEMPLATE2);             


$TEMPLATE2 = str_replace("%%ENVIOGRATIS%%",$enviogratis ,$TEMPLATE2);               
$TEMPLATE2 = str_replace("%%MINICARRITORESUMEN%%",$subtotal ,$TEMPLATE2);               
$TEMPLATE2 = str_replace("%%CARRITOTITULO%%",MINICART_CARRITODECOMPRAS  ,$TEMPLATE2);               
$TEMPLATE2 = str_replace("%%IDIOMAS%%",$idiomas,$TEMPLATE2);                
$TEMPLATE2 = str_replace("%%FLASH%%",$paraflash,$TEMPLATE2);
$TEMPLATE2 = str_replace("%%SELECCIONADOS%%",$seleccionados,$TEMPLATE2);
$TEMPLATE2 = str_replace("%%FAVORITOS%%",$favoritos,$TEMPLATE2);
$TEMPLATE2 = str_replace("%%ACCESO%%",$accesosalir,$TEMPLATE2);
$TEMPLATE2 = str_replace("%%ORDENAR%%",$ordenar,$TEMPLATE2);
$TEMPLATE2 = str_replace("%%MENU_LATERAL%%",$menu_lateral,$TEMPLATE2);
if($minicartx==1){
    //echo "LOCA";
$TEMPLATE2 = str_replace("%%MINICART%%",$minicart,$TEMPLATE2);  
}else{
    $TEMPLATE2 = str_replace("%%MINICART%%",$javascript,$TEMPLATE2);    
    }   
$TEMPLATE2 = str_replace("%%NOMBRE%%",$nombre,$TEMPLATE2);  
$TEMPLATE2 = str_replace("%%PRINCIPAL_INFERIOR%%",$principal_inferior,$TEMPLATE2);

if(isset($_GET["texto_destino"])){ $TEMPLATE2 = str_replace("%%hoteles_destino%%",$_GET["texto_destino"],$TEMPLATE2); }
if(isset($_GET["destino_id"])){ $TEMPLATE2 = str_replace("%%hoteles_destino_id%%",$_GET["destino_id"],$TEMPLATE2); }
if(isset($_GET["fecha_ingreso"])){ $TEMPLATE2 = str_replace("%%hoteles_fecha_recogida%%",$_GET["fecha_ingreso"],$TEMPLATE2); }
if(isset($_GET["fecha_salida"])){ $TEMPLATE2 = str_replace("%%hoteles_fecha_entrega%%",$_GET["fecha_salida"],$TEMPLATE2); }
if(isset($_GET["cod"])){ $TEMPLATE2 = str_replace("%%hoteles_codigo%%",$_GET["cod"],$TEMPLATE2); }


//
if($this->limpio==0){
    //$TEMPLATE2 = str_replace("%%CONTENIDO%%",$tabs->generar_paneles($codigo),$TEMPLATE2);    
    $TEMPLATE2 = str_replace("%%CONTENIDO%%",$codigo,$TEMPLATE2);  
}else{
  $TEMPLATE2 = str_replace("%%CONTENIDO%%",$codigo,$TEMPLATE2);  
}



$TEMPLATE2 = str_replace("%%PAGINAS%%",$paginas,$TEMPLATE2);
$TEMPLATE2 = str_replace("%%MENSAJES%%",$mensaje,$TEMPLATE2);
if($this->cargar_ajax){
 $TEMPLATE2 = str_replace("%%HOTELES_VARIABLES%%",$_SERVER["QUERY_STRING"],$TEMPLATE2); 
}else{
     $TEMPLATE2 = str_replace("%%HOTELES_VARIABLES%%","",$TEMPLATE2);
}
$TEMPLATE2 = str_replace("%%CLASECONTENEDOR%%",$this->clase_contenedor,$TEMPLATE2);
//echo "VALOR DE CVARGAR AJAC ".$this->cargar_ajax;
$TEMPLATE2 = str_replace("%%HOTELES_MAPA_SCRIPT%%",$script_mapa_hoteles,$TEMPLATE2);
$TEMPLATE2 = str_replace("%%URL_IMAGEN_PRINCIPAL%%",$url_script_imagen_principal[0],$TEMPLATE2);
$TEMPLATE2 = str_replace("%%SCRIPT_IMAGEN_PRINCIPAL%%",$url_script_imagen_principal[1],$TEMPLATE2);
if(!is_null($this->tab2)){
    $TEMPLATE2 = str_replace("%%TAB2%%",$this->tab2["contenido"],$TEMPLATE2);    
}
if(!is_null($this->tab3)){
    $TEMPLATE2 = str_replace("%%TAB3%%",$this->tab3["contenido"],$TEMPLATE2);    
}
if(!is_null($this->tab4)){
    $TEMPLATE2 = str_replace("%%TAB4%%",$this->tab4["contenido"],$TEMPLATE2);    
}
if($this->limpio==0){
    //$TEMPLATE2 = str_replace("%%GENERAR_TABS%%",$tabs->generar_tabs(),$TEMPLATE2);    
    $TEMPLATE2 = str_replace("%%GENERAR_TABS%%","",$TEMPLATE2);    
}else{
    $TEMPLATE2 = str_replace("%%GENERAR_TABS%%","",$TEMPLATE2);    
}
$TEMPLATE2 = str_replace("%%CONTENIDOHEADER%%",$this->generar_header(),$TEMPLATE2);    

// echo basename(__FILE__);
//$TEMPLATE2 = str_replace("%%ESTILO_SUPERIOR%%",$condicion,$TEMPLATE2);
if($this->sin_plantilla==1){
    $TEMPLATE2=$codigo;
}
$this->TEMPLATE=$TEMPLATE2;
}

public function mostrar_resultado_plantilla(){
   // global $TEMPLATE2;
    if(!empty($this->tipo_personalizado)){
        header('Content-Type: '.$this->tipo_personalizado);
        //
    }
    echo $this->TEMPLATE;
}


public function formulariosauthadmin($tipo=0,$mensaje=""){
    $cod2="";
    $destino="";
    if($tipo==1){
        $cod="<div class='datos rojo'>".$mensaje."</div>";
        }
    if($tipo==2){
        $cod2="<div class='datos rojo'>".$mensaje."</div>";
        }   
    if(isset($_REQUEST["destino"])){
                       $destino=' <input type="hidden" name="destino" value="'.$_REQUEST["destino"].'" />';

/* configuracion<script language="javascript" type="text/javascript"  src="themes/primero/js/niceforms.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="themes/primero/css/niceforms.css" / >
*/                     }
/* No Se Encontraron Productos en Su Carrito micuentadetallesadmin*/
    $html='
<div class="producto_cabezera_final"><div class="nombrecate">AUTENTIFICAR</div></div>
<div class="productoscuerpo">
  <div class="registrarse">Ingrese Su Correo Electronico y Password para acceder al Panel de Administracion</div>
  <div class="ingresar">
    <form method="post" action="autentificar.php" class="niceform">
    <input type="hidden" name="acceso" value="1" />
    <div class="titulo">Ingrese</div>'.$cod2.$destino.'
    <div class="datos"><div class="texto">Usuario</div><div class="valor"><input type="text" size="40" name="usuario"/>  </div></div>
    <div class="datos"><div class="texto">Password</div><div class="valor"><input type="password" size="40" name="password"/>  </div></div>      
    <div class="botonenviar"><input type="submit"  value="Ingresar" />  </div>
    </form>
  </div>
  </div>
  <div class="productos-inferior"></div>'.self::colocar_pie(2);
  return $html;
    }       

public static function colocar_pie($valor){

}

}
?>