<?php
class Productos{
    function __construct(){
        global $plantilla;
        $plantilla->breadcrumb[]=array("nombre"=>"Productos","enlace"=>"./sistema_productos.php","clase"=>"noclase");
        $plantilla->header_texto1="Productos";
        $plantilla->header_texto2="Listado";

    }
    public function ejecutar(){
        //echo "PRICIPAL <br>";
        global $plantilla, $sesiones, $acceso, $basededatos;
        if(isset($_GET["accion"]) && $_GET["accion"]=="nuevo"){
            $plantilla->breadcrumb[]=array("nombre"=>"Nuevo Producto","enlace"=>"./sistema_productos.php?accion=nuevo","clase"=>"noclase");
            $plantilla->header_texto2="Nuevo Producto";
            $resultado=$this->nuevo();
        }
        elseif(isset($_GET["accion"]) && $_GET["accion"]=="verificar"){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            $resultado='{"response":"0"}';
            
        }
        elseif(isset($_GET["verificar"])){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";

            //$resultado='{"response":"0"}';
            $resultado=$this->verificar();;
            
        }
        elseif(isset($_POST["editar_ajax"])){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            //$resultado='{"response":"0"}';
            $resultado=$this->editar_ajax();;
        }
        elseif(isset($_POST["eliminar_ajax"])){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            //$resultado='{"response":"0"}';
            $resultado=$this->eliminar_ajax();
        }
        elseif(isset($_POST["accion"]) && $_POST["accion"]=="registrar"){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            $resultado=$this->registrar();
            
        }
        elseif(isset($_POST["accion"]) && $_POST["accion"]=="actualizar"){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            $resultado=$this->actualizar();
            
        }
        elseif(isset($_GET["term"]) && !empty($_GET["term"])){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            //echo "59";
            $resultado=$this->buscar();
            
        }
        elseif(isset($_GET["obtener_nombre"]) && !empty($_GET["obtener_nombre"])){
            $plantilla->sin_plantilla=1;
            $plantilla->tipo_personalizado="application/json";
            //echo "59";
            $resultado=$this->obtener_nombre();
            
        }
        else{
            //echo "ELSE ";
            $resultado=$this->listado();
            //echo "RES ".$resultado;

        }
        return $resultado;
    }
    public function obtener_nombre(){
        global $basededatos,$sesiones,$enlace;
        $termino=$enlace->real_escape_string($_GET["obtener_nombre"]);
        $id_empresa=$sesiones->obtener_id_empresa();
        //$sentencia="SELECT * FROM `productos`";
        $sentencia="SELECT id, codigo, nombre FROM `productos` WHERE codigo='".$enlace->real_escape_string($termino)."' AND id_empresa='".$id_empresa."'";
        //$sentencia="SELECT * FROM `productos` WHERE MATCH(busqueda) AGAINST ('".$termino."' IN NATURAL LANGUAGE MODE) AND id_empresa='".$id_empresa."'";
        //$sentencia="SELECT * FROM `productos` WHERE id_empresa='".$id_empresa."' ";
        //echo $sentencia;
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        //$resultado=print_r($datos,1);
        $cantidad=$basededatos->cantidad_resultados;
        $i=1;
        $resultado.='[';
        $separador="";
        //print_r($datos,1);
        foreach ($datos as $clave => $valor) {
            # code...
            if(!empty($datos[$clave]["nombre"])){
                $resultado.='{"nombre":"'.json_encodex($datos[$clave]["nombre"]).'"}';
            }else{
                $resultado.='{"nombre":" "}';
            }
            
        }
        $resultado.=']';
        //echo "EL RESULTADO ES ".$resultado;
        return $resultado;

    }

    public function obtener_nombre_codigo($codigo){
        global $basededatos,$sesiones,$enlace;
        $termino=$enlace->real_escape_string($codigo);
        $id_empresa=$sesiones->obtener_id_empresa();
        //$sentencia="SELECT * FROM `productos`";
        $sentencia="SELECT id, codigo, nombre FROM `productos` WHERE codigo='".$enlace->real_escape_string($termino)."' AND id_empresa='".$id_empresa."'";
        //$sentencia="SELECT * FROM `productos` WHERE MATCH(busqueda) AGAINST ('".$termino."' IN NATURAL LANGUAGE MODE) AND id_empresa='".$id_empresa."'";
        //$sentencia="SELECT * FROM `productos` WHERE id_empresa='".$id_empresa."' ";
        //echo $sentencia;
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        //$resultado=print_r($datos,1);
        $cantidad=$basededatos->cantidad_resultados;
        $i=1;
        $resultado.='[';
        $separador="";
        //print_r($datos,1);
        foreach ($datos as $clave => $valor) {
            # code...
            if(!empty($datos[$clave]["nombre"])){
                //$resultado.='{"nombre":"'.json_encodex($datos[$clave]["nombre"]).'"}';
                $resultado=json_encodex($datos[$clave]["nombre"]);
            }else{
                $resultado="";
                //$resultado.='{"nombre":" "}';
            }
            
        }
        //$resultado.=']';
        //echo "EL RESULTADO ES ".$resultado;
        return $resultado;

    }
    public function buscar(){
        global $basededatos,$sesiones,$enlace;
        $termino=$enlace->real_escape_string($_GET["term"]);
        $id_empresa=$sesiones->obtener_id_empresa();
        //$sentencia="SELECT * FROM `productos`";
        $sentencia="SELECT * FROM `productos` WHERE MATCH(busqueda) AGAINST ('*".$termino."*'  IN BOOLEAN MODE) AND id_empresa='".$id_empresa."'";
        //$sentencia="SELECT * FROM `productos` WHERE MATCH(busqueda) AGAINST ('".$termino."' IN NATURAL LANGUAGE MODE) AND id_empresa='".$id_empresa."'";
        //$sentencia="SELECT * FROM `productos` WHERE id_empresa='".$id_empresa."' ";
        //echo $sentencia;
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        //$resultado=print_r($datos,1);
        $cantidad=$basededatos->cantidad_resultados;
        $i=1;
        $resultado.='[';
        $separador="";
        //print_r($datos,1);
        foreach ($datos as $clave => $valor) {
            # code...
            if($i>1){$separador=",";}
            $resultado.=$separador.'{"id":"'.$datos[$clave]["id"].'","codigo":"'.$datos[$clave]["codigo"].'","value":"'.json_encodex($datos[$clave]["busqueda"]).'"}';
            $i++;
        }
        $resultado.=']';
        //echo "EL RESULTADO ES ".$resultado;
        return $resultado;

    }
    public function listado(){
        global $basededatos,$plantilla,$configuracion,$sesiones;
        $id_empresa=$sesiones->obtener_id_empresa();
        
        $sentencia="SELECT * FROM `productos` WHERE id_empresa='".$id_empresa."' ";
        //SELECT * FROM `productos` 
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        //$resultado=print_r($datos,1);
        $cantidad=$basededatos->cantidad_resultados;
        
        $plantilla->obtener_plantilla_interna("./themes/".$configuracion->plantilla["plantilla"]."/frontend/seccion_principal_productos_listado.html"); 
        $html=$plantilla->devolver_plantilla_interna();

        $plantilla->obtener_plantilla_interna("./themes/".$configuracion->plantilla["plantilla"]."/frontend/seccion_principal_productos_listado_fila.html"); 
        $fila=$plantilla->devolver_plantilla_interna();
        $fila_res=NULL;
        foreach ($datos as $clave => $valor) {
            $buscar=array(
                "%%ID%%",
                "%%CODIGO%%",
                "%%NOMBRE%%");
            $reemplazar=array(
                $datos[$clave]["id"],
                $datos[$clave]["codigo"],
                $datos[$clave]["nombre"]
                );
            $fila_res.=str_replace($buscar, $reemplazar, $fila);
        }
        $resultado=str_replace("%%CODIGO%%",$fila_res, $html);

        $plantilla->obtener_plantilla_interna("./themes/".$configuracion->plantilla["plantilla"]."/frontend/seccion_principal_productos_nuevo.html"); 
        $resultado.=str_replace("%%CONDICIONAL%%", " cond_item_listado ", $plantilla->devolver_plantilla_interna());

        return $resultado;


    }
    public function nuevo(){
        global $plantilla,$configuracion;
        //$configuracion=new Configuracion();
        //$plantilla=new Plantilla();
        $plantilla->obtener_plantilla_interna("./themes/".$configuracion->plantilla["plantilla"]."/frontend/seccion_principal_productos_nuevo.html"); 
        //$resultado=$plantilla->devolver_plantilla_interna();
        $resultado=str_replace("%%CONDICIONAL%%", " cond_item_solo ", $plantilla->devolver_plantilla_interna());
        //$resultado="AQUI FORMULARIO";
        return $resultado;
    
    }
    public function verificar($valor=NULL){
        global $basededatos,$sesiones;
        $id_empresa=$sesiones->obtener_id_empresa();
        if(empty($valor)){ $valor=$_REQUEST["verificar"];}
        $sentencia="SELECT id, codigo FROM `productos` WHERE codigo='".$_REQUEST["verificar"]."' AND id_empresa='".$id_empresa."'";
        //SELECT * FROM `productos` 
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);

        $cantidad=$basededatos->cantidad_resultados;
        if($cantidad==1 ){ 
            $id=$basededatos->obtener_por_codigo("id","productos",$valor);
            $mensaje=',"data" :{"id":'.$id.',"mensaje":"Producto existe",
            "accion":[
            {
                "texto":"Editar",
                "enlace":"#",
                "clase":"editar_item",
                "icono":"icon-pencil5",
                "accion-data-target":"sistema_productos.php",
                "accion-data-dat":"editar_ajax",
                "accion-data-method":"POST",
                "accion-data-id":'.$id.'},
            {"texto":"Eliminar","enlace":"#","clase":"eliminar_item","icono":"icon-cancel-circle2","accion-data-target":"sistema_productos.php",
                "accion-data-dat":"eliminar_ajax","accion-data-method":"POST","accion-data-id":'.$id.'}
            ]
            }
            ';
        }
        
        $resultado='{"response":"'.$cantidad.'" '.$mensaje.'}';
        //$devolver=$basededatos->consulta_dvolver_resultado;
        return $resultado;

    }
    public function registrar(){
        global $basededatos,$sesiones, $enlace;
        $id_empresa=$sesiones->obtener_id_empresa();
        $vf=array(
            "categoria"=>array("default"=>0,"valor"=>array("aa"=>1,"off"=>0),"empty"=>0 ), 
            "uso_restringido"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 ), 
            "material_peligroso"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 ), 
            "riesgo_biologico"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 ), 
            "material_radioactivo"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 ), 
            "material_anomalo"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 ), 
            "producto_biologico_marino"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 )
            );
        $valores=array(
            "codigo"=>NULL,
            "nombre"=>NULL,
            "descripcion"=>NULL,
            "categoria"=>NULL,
            "tipo"=>NULL,
            "uso_restringido"=>NULL,
            "material_peligroso"=>NULL,
            "riesgo_biologico"=>NULL,
            "material_radioactivo"=>NULL, 
            "material_anomalo"=>NULL,
            "producto_biologico_marino"=>NULL
            );
        foreach ($valores as $clave => $valor) {
            if(isset($_POST[$clave])){
                /* Si existe del POST Formulario*/

                if(isset($vf[$clave])){
                    $valores[$clave]=$vf[$clave]["default"];
                    if(empty($_POST[$clave])){
                        $valores[$clave]=$vf[$clave]["empty"];
                    }
                    foreach ($vf[$clave]["valor"] as $clave2 => $valor2) {
                        $cadena= (string) $clave2;
                        if($_POST[$clave]==$cadena){ $valores[$clave]=$valor2;}
                    }
                    /* Existe valor booleano , recuerda que los checkbox mandan on para verdadero y nada para falso */

                }else{
                    $valores[$clave]=$_POST[$clave];
                }
            }else{
                /* SI no esta en el post incluirlo con los valores por defecto
                en caso de registro no se necesita, pero en actualizacion si*/
                $valores[$clave]=$vf[$clave]["default"];
            }

        }
        $continuar=1;
        $contador=1;
        $response="ok";
        $error=0;        
        do{
            $hash=$sesiones->generar_session_id(36);
            $verificar_hash=$basededatos->obtener_por_hash("id","productos",$hash);
            $contador++;
            if($verificar_hash==0){ $continuar=0;}
            if($verificar_hash!=0 && $contador==5){ $continuar=0; $error=1; $response="error";}
        }while($continuar==1);
        //echo "ERROR ES ".$error."\n";
        //print_r($valores);
        $sentencia="INSERT INTO productos
        (id_empresa,codigo, nombre,busqueda, descripcion, categoria, tipo, uso_restringido, material_peligroso, riesgo_biologico, material_radioactivo, material_anomalo, producto_biologico_marino, hash)
        VALUES
        (
            '".$id_empresa."',
            '".$enlace->real_escape_string($valores["codigo"])."',
            '".$enlace->real_escape_string($valores["nombre"])."',
            '".$enlace->real_escape_string($valores["codigo"])." - ".$enlace->real_escape_string($valores["nombre"])."',
            '".$enlace->real_escape_string($valores["descripcion"])."',
            '".$enlace->real_escape_string($valores["categoria"])."',
            ".$enlace->real_escape_string($valores["tipo"]).",
            ".$enlace->real_escape_string($valores["uso_restringido"]).",
            ".$enlace->real_escape_string($valores["material_peligroso"]).",
            ".$enlace->real_escape_string($valores["riesgo_biologico"]).",
            ".$enlace->real_escape_string($valores["material_radioactivo"]).",
            ".$enlace->real_escape_string($valores["material_anomalo"]).",
            ".$enlace->real_escape_string($valores["producto_biologico_marino"]).",
            '".$enlace->real_escape_string($hash)."'
            )";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);
        //echo "SENTENCIA EJECUTADA\n";
        if($con){
            //echo "OBTENIENDO ID HASH\n";
            $id=$basededatos->obtener_por_hash("id","productos",$hash);
            $response="ok";
            $dataextra=',"data":{"id":'.$id.',"codigo":"'.$valores["codigo"].'","nombre":"'.$valores["nombre"].'"} 
                        ,"msg":{"valor":"Se ingreso producto","codigo":"700","tipo":"success"}';
        }else{
            $response="error";
            $dataextra=',"data":{"id":0,"codigo":"'.$valores["codigo"].'","nombre":"'.$valores["nombre"].'"} 
                        ,"msg":{"valor":"Error ingresando producto","codigo":"600","tipo":"error"}';

        } 
        //$dataextra=',"data":{"id":45,"codigo":"'.$valores["codigo"].'","nombre":"'.$valores["nombre"].'"} ';
        //$res=$basededatos->ejecutar_sentencia($sentencia);
        $resultado='{"response":"'.$response.'"
                    '.$dataextra.' }';
        return $resultado;
        //INSERT INTO productos (codigo, nombre, descripcion, categoria, tipo, uso_restringido, material_peligroso, riesgo_biologico, material_radioactivo, material_anomalo, producto_biologico_marino) VALUES ( '4e', '', '', '', 1, 1, 0, 0, 0, 0, 0 )
    }
    public function actualizar(){
        global $basededatos,$sesiones,$enlace;
        $vf=array(
            "categoria"=>array("default"=>0,"valor"=>array("aa"=>1,"off"=>0),"empty"=>0 ), 
            "uso_restringido"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 ), 
            "material_peligroso"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 ), 
            "riesgo_biologico"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 ), 
            "material_radioactivo"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 ), 
            "material_anomalo"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 ), 
            "producto_biologico_marino"=>array("default"=>0,"valor"=>array("on"=>1,"off"=>0),"empty"=>0 )
            );
        $valores=array(
            "codigo"=>NULL,
            "nombre"=>NULL,
            "descripcion"=>NULL,
            "categoria"=>NULL,
            "tipo"=>NULL,
            "uso_restringido"=>NULL,
            "material_peligroso"=>NULL,
            "riesgo_biologico"=>NULL,
            "material_radioactivo"=>NULL, 
            "material_anomalo"=>NULL,
            "producto_biologico_marino"=>NULL
            );
        foreach ($valores as $clave => $valor) {
            if(isset($_POST[$clave])){
                /* Si existe del POST Formulario*/

                if(isset($vf[$clave])){
                    $valores[$clave]=$vf[$clave]["default"];
                    if(empty($_POST[$clave])){
                        $valores[$clave]=$vf[$clave]["empty"];
                    }
                    foreach ($vf[$clave]["valor"] as $clave2 => $valor2) {
                        $cadena= (string) $clave2;
                        if($_POST[$clave]==$cadena){ $valores[$clave]=$valor2;}
                    }
                    /* Existe valor booleano , recuerda que los checkbox mandan on para verdadero y nada para falso */

                }else{
                    $valores[$clave]=$_POST[$clave];
                }
            }else{
                /* SI no esta en el post incluirlo con los valores por defecto
                en caso de registro no se necesita, pero en actualizacion si*/
                $valores[$clave]=$vf[$clave]["default"];
            }

        }
        $continuar=1;
        $contador=1;
        $response="ok";
        $error=0;        
        //codigo='".$enlace->real_escape_string($valores["codigo"])."',
        $sentencia="UPDATE productos SET
            
            nombre='".$enlace->real_escape_string($valores["nombre"])."',
            busqueda='".$enlace->real_escape_string($valores["codigo"])." - ".$enlace->real_escape_string($valores["nombre"])."',
            descripcion='".$enlace->real_escape_string($valores["descripcion"])."',
            categoria='".$enlace->real_escape_string($valores["categoria"])."',
            tipo=".$enlace->real_escape_string($valores["tipo"]).",
            uso_restringido=".$enlace->real_escape_string($valores["uso_restringido"]).",
            material_peligroso=".$enlace->real_escape_string($valores["material_peligroso"]).",
            riesgo_biologico=".$enlace->real_escape_string($valores["riesgo_biologico"]).",
            material_radioactivo=".$enlace->real_escape_string($valores["material_radioactivo"]).",
            material_anomalo=".$enlace->real_escape_string($valores["material_anomalo"]).",
            producto_biologico_marino=".$enlace->real_escape_string($valores["producto_biologico_marino"])."
            WHERE id='".$enlace->real_escape_string($_POST["id"])."' ";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);
        //echo "SENTENCIA EJECUTADA\n";
        if($con){
            //echo "OBTENIENDO ID HASH\n";
            //$id=$basededatos->obtener_por_hash("id","productos",$hash);
            $id=$_POST["id"];
            $response="ok";
            $dataextra=',"data":{"id":'.$id.',"codigo":"'.$valores["codigo"].'","nombre":"'.$valores["nombre"].'"} 
                        ,"msg":{"valor":"Se actualizo producto","codigo":"700","tipo":"success"}';
        }else{
            $response="error";
            $dataextra=',"data":{"id":0,"codigo":"'.$valores["codigo"].'","nombre":"'.$valores["nombre"].'"} 
                        ,"msg":{"valor":"Error actualizando","codigo":"600","tipo":"error"}';

        } 
        //$dataextra=',"data":{"id":45,"codigo":"'.$valores["codigo"].'","nombre":"'.$valores["nombre"].'"} ';
        //$res=$basededatos->ejecutar_sentencia($sentencia);
        $resultado='{"response":"'.$response.'"
                    '.$dataextra.' }';
        return $resultado;

    }
    public function editar_ajax(){
        global $basededatos,$sesiones;
        $id_empresa=$sesiones->obtener_id_empresa();

        
        $vf=array(
            
            "id"=>array(
                "tipo"=>"agregar_oculto",
                "default"=>array(
                        "input"=>array("type"=>"hidden","value"=>"_SELF")
                        ),
                ), 
            "codigo"=>array(
                "default"=>array(
                        "input"=>array("type"=>"text","value"=>"_SELF","readonly"=>1)
                        ),
                 ), 
            "categoria"=>array("default"=>0,"valor"=>array("aa"=>1,"off"=>0),"empty"=>0 ), 
            
            "uso_restringido"=>array(
                "default"=>array(
                        "input"=>array("type"=>"checkbox","checked"=>0)
                        )
                    ,
                "valor"=>array(
                    "1"=>array(
                        "input"=>array("type"=>"checkbox","checked"=>1)
                        )
                    ,
                    "0"=>array(
                        "input"=>array("type"=>"checkbox","checked"=>0)
                        )
                    ,
                    "off"=>0),
                "empty"=>array(
                        "input"=>array("type"=>"checkbox","checked"=>0)
                        ) ),

            "material_peligroso"=>array("default"=>array("input"=>array("type"=>"checkbox","checked"=>0)),"valor"=>array( "1"=>array("input"=>array("type"=>"checkbox","checked"=>1)),"0"=>array("input"=>array("type"=>"checkbox","checked"=>0))),"empty"=>array("input"=>array("type"=>"checkbox","checked"=>0)) ),
            "riesgo_biologico"=>array("default"=>array("input"=>array("type"=>"checkbox","checked"=>0)),"valor"=>array( "1"=>array("input"=>array("type"=>"checkbox","checked"=>1)),"0"=>array("input"=>array("type"=>"checkbox","checked"=>0))),"empty"=>array("input"=>array("type"=>"checkbox","checked"=>0)) ),
            "material_radioactivo"=>array("default"=>array("input"=>array("type"=>"checkbox","checked"=>0)),"valor"=>array( "1"=>array("input"=>array("type"=>"checkbox","checked"=>1)),"0"=>array("input"=>array("type"=>"checkbox","checked"=>0))),"empty"=>array("input"=>array("type"=>"checkbox","checked"=>0)) ),
            "material_anomalo"=>array("default"=>array("input"=>array("type"=>"checkbox","checked"=>0)),"valor"=>array( "1"=>array("input"=>array("type"=>"checkbox","checked"=>1)),"0"=>array("input"=>array("type"=>"checkbox","checked"=>0))),"empty"=>array("input"=>array("type"=>"checkbox","checked"=>0)) ),
            "producto_biologico_marino"=>array("default"=>array("input"=>array("type"=>"checkbox","checked"=>0)),"valor"=>array( "1"=>array("input"=>array("type"=>"checkbox","checked"=>1)),"0"=>array("input"=>array("type"=>"checkbox","checked"=>0))),"empty"=>array("input"=>array("type"=>"checkbox","checked"=>0)) )

            
            );
        $valores=array(
            "id"=>NULL,
            "codigo"=>NULL,
            "nombre"=>NULL,
            "descripcion"=>NULL,
            "categoria"=>NULL,
            "tipo"=>NULL,
            "uso_restringido"=>NULL,
            "material_peligroso"=>NULL,
            "riesgo_biologico"=>NULL,
            "material_radioactivo"=>NULL, 
            "material_anomalo"=>NULL,
            "producto_biologico_marino"=>NULL
            );
        $sentencia="SELECT * FROM `productos` WHERE id='".$_POST["editar_ajax"]."' AND id_empresa='".$id_empresa."'";
        $basededatos->consulta_devolver=1;
        $basededatos->ejecutar_sentencia($sentencia);
        $datos=$basededatos->consulta_devolver_resultado;
        //print_r($datos);
        $json="{";
        $delimitador=" ";
        $i=1;
        foreach ($valores as $clave => $valor) {
            if($i>1){$delimitador=", ";}
            if(isset($datos[0][$clave])){
                /* Si existe del POST Formulario*/
                /* VALORES POR DEFECTO */

                /*"codigo"=>array(
                "default"=>array(
                        "input"=>array("type"=>"text","value"=>"_SELF","disabled"=>1)
                        ),
                 ),
                 */

                if(isset($vf[$clave])){
                    if(is_array($vf[$clave])){
                        if($vf[$clave]["default"]["input"]["disabled"]==1){
                        $valor_disabled=' ,"disabled":1';
                        }
                        if($vf[$clave]["default"]["input"]["readonly"]==1){
                        $valor_disabled=' ,"readonly":1';
                        }
                        if($vf[$clave]["default"]["input"]["checked"]==1){
                            $valor_checked=' ,"checked":1';
                        }
                        if($vf[$clave]["default"]["input"]["value"]=="_SELF"){
                            $valor_input=$datos[0][$clave];
                        }else{
                            $valor_input=$vf[$clave]["default"]["input"]["value"];
                        }
                        $valores[$clave]='{"type":"'.$vf[$clave]["default"]["input"]["type"].'","value":"'.$valor_input.'" '.$valor_disabled.' '.$valor_checked.'}';

                    }else{
                        $valores[$clave]='{"value":"'.$datos[0][$clave].'"}';

                    }
                    
                    /* / VALORES POR DEFECTO */
                    /* SI esta Vacio */
                    /*if(empty($_POST[$clave])){
                        $valores[$clave]=$vf[$clave]["empty"];
                    }*/
                    /* /SI esta Vacio */
                    foreach ($vf[$clave]["valor"] as $clave2 => $valor2) {
                        $cadena= (string) $clave2;
                        if($datos[0][$clave]==$cadena){ 
                            if(isset($vf[$clave]["valor"][$clave2]["input"]["checked"])){ $checked_val=', "checked":'.$vf[$clave]["valor"][$clave2]["input"]["checked"];}else{ $checked_val="";}
                            if(isset($vf[$clave]["valor"][$clave2]["input"]["disabled"])){ $disabled_val=', "disabled":'.$vf[$clave]["valor"][$clave2]["input"]["disabled"];}else{ $disabled_val="";}
                            if(isset($vf[$clave]["valor"][$clave2]["input"]["readonly"])){ $readonly_val=', "readonly":'.$vf[$clave]["valor"][$clave2]["input"]["readonly"];}else{ $readonly_val="";}
                            if(isset($vf[$clave]["valor"][$clave2]["input"]["value"])){ 
                                if($vf[$clave]["valor"][$clave2]["input"]["value"]=="_SELF"){
                                    $value_val=' , "value":"'.$datos[0][$clave].'" ';
                                }else{
                                    $value_val=' , "value":"'.$vf[$clave]["valor"][$clave2]["input"]["value"].'" ';
                                }
                                $checked_val=', "checked":'.$vf[$clave]["valor"][$clave2]["input"]["checked"];
                            }else{ $value_val="";}
                            $valores[$clave]='{"type":"'.$vf[$clave]["valor"][$clave2]["input"]["type"].'" '.$checked_val.$disabled_val.$value_val.$readonly_val.'}';
                            //$delimitador=',';
                            //$json.="CLAVE ACTUAL $clave, SOSPECHOSO \n";
                            $json.=$delimitador.' "'.$clave.'" : '.$valores[$clave];
                            $i++;
                            //$vf[$clave]["valor"][$clave2]["input"]["type"];
                        }
                        //$i++;
                    }
                    /* Existe valor booleano , recuerda que los checkbox mandan on para verdadero y nada para falso */

                }else{
                    //$json.="CLAVE ACTUAL $clave, RARISIMO \n";
                    $json.=$delimitador.' "'.$clave.'" : { "value" :"'.$datos[0][$clave].'" } ';
                    $valores[$clave]=' { "value" :"'.$datos[0][$clave].'" }  ';
                    $i++;
                }
            }else{
                /* SI no esta en el SELECT PONER DATOS POR DEFECTO */
                //$valores[$clave]=$vf[$clave]["default"];
                //$valores[$clave]="VACIO ABSOLUTO";
            }
            //$i++;
        }
        $json.='}';
        //$resultado=$json;
        //$resultado.="\n".print_r($valores,1);
        $njson='{';
        $i=1;
        $delimitador="";
        foreach ($valores as $clave => $valor) {
            # code...
            if($i>1){$ndelimitador=",";}
            $njson.=$ndelimitador.'"'.$clave.'":'.$valor.' ';
            $i++;
        }
        $njson.='}';
        $resultado=$njson;
        return $resultado;
    }

    public function eliminar_ajax(){
        global $basededatos,$sesiones,$enlace;
        $id_empresa=$sesiones->obtener_id_empresa();
        $id=$_POST["eliminar_ajax"];
        $sentencia="DELETE FROM `productos` WHERE id='".$enlace->real_escape_string($id)."' AND id_empresa='".$id_empresa."'";
        //echo $sentencia;
        //echo "EJECUTANDO SENTENCIA\n";
        $con=$basededatos->ejecutar_sentencia($sentencia);
        //echo "SENTENCIA EJECUTADA\n";
        if($con){
            //echo "OBTENIENDO ID HASH\n";
            //$id=$basededatos->obtener_por_hash("id","productos",$hash);
            
            $response="ok";
            $dataextra=',"data":{"id":'.$id.',"codigo":"","nombre":""} 
                        ,"msg":{"valor":"Se elimino producto","codigo":"700","tipo":"warning"}';
        }else{
            $response="error";
            $dataextra=',"data":{"id":0,"codigo":"","nombre":""} 
                        ,"msg":{"valor":"Error actualizando","codigo":"600","tipo":"error"}';

        } 
        //$dataextra=',"data":{"id":45,"codigo":"'.$valores["codigo"].'","nombre":"'.$valores["nombre"].'"} ';
        //$res=$basededatos->ejecutar_sentencia($sentencia);
        $resultado='{"response":"'.$response.'"
                    '.$dataextra.' }';
        return $resultado;

    }
    
}