<?php


class Sesiones{
    //xdas_fra1 token de session
    /* Mant_Pro_PickingCab 'Listar',1,'','','','','','','','','','','','','',' where a.Estado = ''Pendiente'' ' 
    IdEmpresa NroPicking Fecha
    */
    /* 
        [8 caracteres al azahar - estado de acceso]
        estado de acceso:
            inicial 
            acceso
    */
    /*
    xdas_trok
        [8 caracteres al azahar - numero de usuario]
    
    xdas_poing
        [8 caracteres al azahar - numero de empresa]        


    */            
    public $acceso=NULL;
    public function __construct(){
        $this->acceso=new Acceso();
    }
    public function obtener_id_empresa(){
        if(isset($_SESSION["xdas_poing"])){
            $frase=$this->acceso->desencriptar_password($_SESSION["xdas_poing"]);
            $partes=explode("-",$frase);
            $resultado=$partes[1];
        }
        return $resultado;
    }
    public function sesion_general_chequear(){
        if(isset($_SESSION["xdas_fra1"])){
            $frase=$this->acceso->desencriptar_password($_SESSION["xdas_fra1"]);
            $partes=explode("-",$frase);
            switch($partes[1]){
                case "inicial":
                $resultado=99;
                break;
                case "acceso":
                $resultado=1;
                break;
            }
        }else{
            $this->sesion_general_inicial();
            $resultado=0;
        }
        return $resultado;
    }
    public function sesion_general_actualizar($array){
        foreach ($array as $nombre => $valor) {
            //echo "<strong>Actualizando ".$nombre.":".$valor."</strong><br>\n";
            $this->sesion_actualizar($nombre,$valor);
            $this->cookie_actualizar($nombre,$valor);
        }
        
    }
    public function sesion_general_inicial(){
        $palabra=$this->generar_session_id(8)."-inicial";
        $this->sesion_registrar("xdas_fra1",$palabra);
        $this->cookie_registrar("xdas_fra1",$palabra);
        $this->sesion_registrar("xdas_tuse","1");
        $this->cookie_registrar("xdas_tuse","1");
    }
    public function sesion_general_registrar($array){
        foreach ($array as $nombre => $valor) {
            $this->sesion_actualizar($nombre,$valor);
            $this->cookie_actualizar($nombre,$valor);
        }
    }
    public function sesion_general_destruir(){
        $this->sesion_destruir("xdas_fra1");
        $this->sesion_destruir("xdas_tuse");
        $this->sesion_destruir("xdas_trok");
        $this->sesion_destruir("xdas_poing");

        $this->cookie_destruir("xdas_fra1");
        $this->cookie_destruir("xdas_tuse");
        $this->cookie_destruir("xdas_trok");
        $this->cookie_destruir("xdas_poing");
        unset($_SESSION);
    }

	public function sesion_chequear($nombre,$devolver=0){
        if(isset($_SESSION[$nombre])){
            if($devolver){ $resultado=$_SESSION[$nombre];}
            else{ $resultado=1;}
        }
        return $resultado;
	}

    public function sesion_verificar($nombre){

    }
	public function sesion_registrar($nombre,$valor){
        $_SESSION[$nombre]=$valor;

	}
	public function sesion_actualizar($nombre,$valor){
        if(isset($_SESSION[$nombre])){
            unset($_SESSION[$nombre]);
        }
        $_SESSION[$nombre]=$valor;
	}
	public function sesion_destruir($nombre){
        unset($_SESSION[$nombre]);
	}

	public function cookie_chequear($nombre){

	}
    public function cookie_verificar($nombre){

    }
	public function cookie_registrar($nombre,$valor){
        $valor=$this->acceso->encriptar_password($valor);
        setcookie($nombre, $valor, time() + (86400 * 30), "/");

	}
	public function cookie_actualizar($nombre,$valor,$tiempo=3600){
        if (isset($_COOKIE[$nombre])) {
            unset($_COOKIE[$nombre]);
            setcookie($nombre, $valor, $tiempo, '/'); // Actualizar Cookie
        }
	}
	public function cookie_destruir($nombre){
		if (isset($_COOKIE[$nombre])) {
            unset($_COOKIE[$nombre]);
            setcookie($nombre, '', time() - 3600, '/'); // dESTRUIR DE Php, y del navegador! es mejor asegurarse, uno nunca sabe que puede pasar!
        }
	}

	public function generar_session_id($length){
	  if($length>0){ 
	  	$rand_id="";
	   	for($i=1; $i<=$length; $i++){
	   		mt_srand((double)microtime() * 1000000);
	   		$num = mt_rand(1,36);
	   		$rand_id .= $this->assign_rand_value($num);
	    }
	  }
	return $rand_id;
	}

public function assign_rand_value($num){
// accepts 1 - 36
	switch($num){
    case "1":
    	$rand_value = "a";
    break;
    case "2":
     	$rand_value = "b";
    break;
    case "3":
	     $rand_value = "c";
    break;
    case "4":
	     $rand_value = "d";
    break;
    case "5":
	     $rand_value = "e";
    break;
    case "6":
	     $rand_value = "f";
    break;
    case "7":
	     $rand_value = "g";
    break;
    case "8":
	     $rand_value = "h";
    break;
    case "9":
	     $rand_value = "i";
    break;
    case "10":
	     $rand_value = "j";
    break;
    case "11":
	     $rand_value = "k";
    break;
    case "12":
	     $rand_value = "l";
    break;
    case "13":
	     $rand_value = "m";
    break;
    case "14":
	     $rand_value = "n";
    break;
    case "15":
	     $rand_value = "o";
    break;
    case "16":
	     $rand_value = "p";
    break;
    case "17":
	     $rand_value = "q";
    break;
    case "18":
	     $rand_value = "r";
    break;
    case "19":
	    $rand_value = "s";
    break;
    case "20":
	     $rand_value = "t";
    break;
    case "21":
	     $rand_value = "u";
    break;
    case "22":
	     $rand_value = "v";
    break;
	    case "23":
	     $rand_value = "w";
    break;
    case "24":
	     $rand_value = "x";
    break;
    case "25":
	     $rand_value = "y";
    break;
    case "26":
	     $rand_value = "z";
    break;
    case "27":
	     $rand_value = "0";
    break;
    case "28":
	     $rand_value = "1";
    break;
    case "29":
	     $rand_value = "2";
    break;
    case "30":
	     $rand_value = "3";
    break;
    case "31":
	     $rand_value = "4";
    break;
    case "32":
	     $rand_value = "5";
    break;
    case "33":
	     $rand_value = "6";
    break;
    case "34":
	     $rand_value = "7";
    break;
    case "35":
	     $rand_value = "8";
    break;
    case "36":
	     $rand_value = "9";
    break;
  }

return $rand_value;
}



}

?>