-- phpMyAdmin SQL Dump
-- version 4.8.4
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1:3306
-- Tiempo de generación: 12-10-2020 a las 19:21:19
-- Versión del servidor: 5.7.24
-- Versión de PHP: 7.3.1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `pruebasc_scm`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `almacen`
--

DROP TABLE IF EXISTS `almacen`;
CREATE TABLE IF NOT EXISTS `almacen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_empresa` int(11) DEFAULT '0',
  `codigo` varchar(128) NOT NULL DEFAULT '00000000000',
  `nombre` varchar(255) DEFAULT NULL,
  `latitud` varchar(255) DEFAULT NULL,
  `longitud` varchar(255) DEFAULT NULL,
  `area_total` varchar(255) DEFAULT NULL,
  `area_almacen` varchar(255) DEFAULT NULL,
  `pais` varchar(255) DEFAULT NULL,
  `estado` varchar(255) DEFAULT NULL,
  `ciudad` varchar(255) DEFAULT NULL,
  `codigo_postal` varchar(255) DEFAULT NULL,
  `direccion` varchar(255) DEFAULT NULL,
  `acceso_controlado_entidad_externa` varchar(255) DEFAULT NULL,
  `tipo_almacen_regimen` int(11) NOT NULL DEFAULT '0',
  `tipo_almacen_mercancia` int(11) NOT NULL DEFAULT '0',
  `tipo_almacen_ubicacion` int(11) NOT NULL DEFAULT '0',
  `tipo_almacen_localizacion` int(11) NOT NULL DEFAULT '0',
  `tipo_almacen_recinto` int(11) NOT NULL DEFAULT '0',
  `tipo_almacen_regimen_fiscal` int(11) NOT NULL DEFAULT '0',
  `tipo_almacen_automatizacion` int(11) NOT NULL DEFAULT '0',
  `tipo_almacen_manipulacion` int(11) NOT NULL DEFAULT '0',
  `distrito` varchar(255) DEFAULT NULL,
  `hash` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `codigo` (`codigo`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `almacen`
--

INSERT INTO `almacen` (`id`, `id_empresa`, `codigo`, `nombre`, `latitud`, `longitud`, `area_total`, `area_almacen`, `pais`, `estado`, `ciudad`, `codigo_postal`, `direccion`, `acceso_controlado_entidad_externa`, `tipo_almacen_regimen`, `tipo_almacen_mercancia`, `tipo_almacen_ubicacion`, `tipo_almacen_localizacion`, `tipo_almacen_recinto`, `tipo_almacen_regimen_fiscal`, `tipo_almacen_automatizacion`, `tipo_almacen_manipulacion`, `distrito`, `hash`) VALUES
(1, 6, 'ALM01', 'Almacen Central Cto Rey', '', '', '', '', 'PERÚ', 'LIMA', 'LIMA', '15084', 'AV El Bosque 208', '', 1, 1, 1, 1, 1, 0, 1, 1, '', 'ud24lsbd78j41qgrfcgqouuxee2igmsg4732');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `contacts`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `empresas`
--

DROP TABLE IF EXISTS `empresas`;
CREATE TABLE IF NOT EXISTS `empresas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `razonsocial` varchar(255) NOT NULL,
  `nombre` varchar(255) NOT NULL,
  `estado` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `empresas`
--

INSERT INTO `empresas` (`id`, `razonsocial`, `nombre`, `estado`) VALUES
(1, 'Neptunia S.A', 'Telefacturación', 1),
(2, 'RANSA Comercial S.A', 'Xcrivas', 1),
(3, 'INVERS.MARITIMAS UNIVERSALES PERU S.A', 'Xcrivas', 1),
(4, 'UNIMAR  S.A.', 'Xcrivas', 1),
(5, 'FRIO AEREO ASOCIACION CIVIL', 'Xcrivas', 1),
(6, 'TRABAJOS MARITIMOS S.A.', 'Tranajos Maritimos', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lugares`
--

DROP TABLE IF EXISTS `lugares`;
CREATE TABLE IF NOT EXISTS `lugares` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_empresa` int(11) NOT NULL DEFAULT '0',
  `post_codigo` varchar(256) NOT NULL DEFAULT '0000',
  `nombre_empresa_asociada` varchar(256) DEFAULT NULL,
  `id_empresa_asociada` int(11) NOT NULL DEFAULT '0',
  `tipo_lugar` int(11) NOT NULL DEFAULT '1',
  `codigo` varchar(256) DEFAULT NULL,
  `nombre` varchar(256) DEFAULT NULL,
  `descripcion` varchar(256) DEFAULT NULL,
  `tipo_identificacion` varchar(256) DEFAULT NULL,
  `numero_identificacion` varchar(256) DEFAULT NULL,
  `pais` varchar(256) DEFAULT NULL,
  `estado` varchar(256) DEFAULT NULL,
  `ciudad` varchar(256) DEFAULT NULL,
  `distrito` varchar(256) DEFAULT NULL,
  `direccion` varchar(256) DEFAULT NULL,
  `referencia` varchar(256) DEFAULT NULL,
  `responsable` varchar(256) DEFAULT NULL,
  `telefono` varchar(256) DEFAULT NULL,
  `celular` varchar(256) DEFAULT NULL,
  `hash` varchar(256) DEFAULT NULL,
  `requiere_sctr` varchar(255) DEFAULT '0'
  
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `lugares`
--

INSERT INTO `lugares` (`id`, `id_empresa`, `post_codigo`, `nombre_empresa_asociada`, `id_empresa_asociada`, `tipo_lugar`, `codigo`, `nombre`, `descripcion`, `tipo_identificacion`, `numero_identificacion`, `pais`, `estado`, `ciudad`, `distrito`, `direccion`, `referencia`, `responsable`, `telefono`, `celular`, `hash`, `requiere_sctr`) VALUES
(7, 6, '0000', NULL, 0, 1, '0004.UNICENTRO', 'UNIMAR CENTRO 1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'vt3iv18p9ogvc3d60fg8w07cvnsf9zkch08x', '0'),
(9, 6, '2020', NULL, 0, 5, '0000.2020', 'Tienda de Don Pepe', 'DOn Pepe Peee', '0', '', 'PERÚ', 'LIMA', 'LIMA', 'LINCE', 'JOSE DIAZ1244', 'Por el Ex Estadio de Mulas', 'Jose Balladares', '930222760', '933333333', '3kyydrfathq15qbj38cjhc7r9ab014t0vjjc', 'NO'),
(5, 6, '0000', NULL, 0, 1, '0000.1224', 'TIENDA \"24 horas\" JOSE DIAZ 1224', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'deenij62hpd6b916kqjkjyjeisqrxwmg7hjx', '0'),
(8, 6, 'UNI43', NULL, 3, 5, '0003.UNI43', 'Almacen 34', 'Av Nyev', '0', '20144785214', 'PERÚ', 'LIMA', 'LIMA', '', 'JOSE DIAZ1244', 'Por el Ex Estadio de Mulas', 'Jose Balladares', '930222760', '', '60fy51vhsvaprdch3vdvzvhl58zdatsy4hod', 'NO');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lugar_gen`
--

DROP TABLE IF EXISTS `lugar_gen`;
CREATE TABLE IF NOT EXISTS `lugar_gen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_empresa` int(11) NOT NULL DEFAULT '0',
  `id_empresa_asociada` int(11) NOT NULL DEFAULT '0',
  `tipo_lugar` int(11) NOT NULL DEFAULT '1',
  `codigo` varchar(256) DEFAULT NULL,
  `nombre` varchar(256) DEFAULT NULL,
  `descripcion` varchar(256) DEFAULT NULL,
  `tipo_identificacion` varchar(256) DEFAULT NULL,
  `numero_identificacion` varchar(256) DEFAULT NULL,
  `pais` varchar(256) DEFAULT NULL,
  `estado` varchar(256) DEFAULT NULL,
  `ciudad` varchar(256) DEFAULT NULL,
  `distrito` varchar(256) DEFAULT NULL,
  `direccion` varchar(256) DEFAULT NULL,
  `referencia` varchar(256) DEFAULT NULL,
  `responsable` varchar(256) DEFAULT NULL,
  `telefono` varchar(256) DEFAULT NULL,
  `celular` varchar(256) DEFAULT NULL,
  `hash` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `ordenes`
--

DROP TABLE IF EXISTS `ordenes`;
CREATE TABLE IF NOT EXISTS `ordenes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_empresa` int(11) NOT NULL DEFAULT '0',
  `codigo` varchar(256) NOT NULL DEFAULT '00000000000',
  `tipo_orden` int(11) NOT NULL DEFAULT '1',
  `tipo_destino` varchar(256) DEFAULT NULL,
  `tipo_origen` varchar(256) DEFAULT NULL,
  `codigo_punto_origen` varchar(256) DEFAULT NULL,
  `codigo_punto_destino` varchar(256) DEFAULT NULL,
  `guia_remision` varchar(256) DEFAULT NULL,
  `factura` varchar(256) DEFAULT NULL,
  `proveedor` varchar(256) DEFAULT NULL,
  `transportista` varchar(256) DEFAULT NULL,
  `unidad_transporte` varchar(256) DEFAULT NULL,
  `placa` varchar(256) DEFAULT NULL,
  `observacion` varchar(256) DEFAULT NULL,
  `fecha_hora_registro` datetime DEFAULT '2000-01-01 01:01:01',
  `fecha_ejecucion` date DEFAULT '2000-01-01',
  `fecha_hora_inicio` datetime DEFAULT '2000-01-01 01:01:01',
  `fecha_hora_final` datetime DEFAULT '2000-01-01 01:01:01',
  `datos` varchar(256) DEFAULT NULL,
  `estado` varchar(256) DEFAULT NULL,
  `hash` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `ordenes`
--

INSERT INTO `ordenes` (`id`, `id_empresa`, `codigo`, `tipo_orden`, `tipo_destino`, `tipo_origen`, `codigo_punto_origen`, `codigo_punto_destino`, `guia_remision`, `factura`, `proveedor`, `transportista`, `unidad_transporte`, `placa`, `observacion`, `fecha_hora_registro`, `fecha_ejecucion`, `fecha_hora_inicio`, `fecha_hora_final`, `datos`, `estado`, `hash`) VALUES
(1, 6, '150241', 1, '', '', '', '', '00000!\"\'\'', '11111', 'Sin Proveedor', 'No Aplica', '0', 'NO Aplica', 'Ingreso', '2020-10-08 03:46:21', '2020-10-10', '2000-01-01 01:01:01', '2000-01-01 01:01:01', NULL, NULL, 'mq8bhk4tdk6yow0yw2eckoal80m75et0e7bj');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `ordenes_items`
--

DROP TABLE IF EXISTS `ordenes_items`;
CREATE TABLE IF NOT EXISTS `ordenes_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_empresa` int(11) NOT NULL DEFAULT '0',
  `id_orden` int(11) NOT NULL DEFAULT '0',
  `tipo_orden` int(11) NOT NULL DEFAULT '0',
  `codigo` varchar(256) NOT NULL DEFAULT '0',
  `cantidad` int(11) NOT NULL DEFAULT '0',
  `cantidad_agregados` int(11) NOT NULL DEFAULT '0',
  `cantidad_eliminados` int(11) NOT NULL DEFAULT '0',
  `cantidad_total` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `ordenes_items`
--

INSERT INTO `ordenes_items` (`id`, `id_empresa`, `id_orden`, `tipo_orden`, `codigo`, `cantidad`, `cantidad_agregados`, `cantidad_eliminados`, `cantidad_total`) VALUES
(8, 6, 1, 1, '7750182006453', 121, 0, 0, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `ordenes_items_detalle`
--

DROP TABLE IF EXISTS `ordenes_items_detalle`;
CREATE TABLE IF NOT EXISTS `ordenes_items_detalle` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_empresa` int(11) NOT NULL DEFAULT '0',
  `id_orden` int(11) NOT NULL DEFAULT '0',
  `tipo_orden` int(11) NOT NULL DEFAULT '0',
  `tipo_detalle` int(11) NOT NULL DEFAULT '0',
  `codigo` varchar(256) DEFAULT NULL,
  `cantidad` int(11) NOT NULL DEFAULT '1',
  `fecha_hora` datetime NOT NULL DEFAULT '2020-01-01 12:01:01',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=29 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `ordenes_items_detalle`
--

INSERT INTO `ordenes_items_detalle` (`id`, `id_empresa`, `id_orden`, `tipo_orden`, `tipo_detalle`, `codigo`, `cantidad`, `fecha_hora`) VALUES
(1, 6, 1, 1, 1, '7500435107815', 1, '2020-10-11 23:21:59'),
(2, 6, 1, 1, 1, '7500435107815', 1, '2020-10-11 23:26:08'),
(3, 6, 1, 1, 1, '7500435107815', 1, '2020-10-11 23:26:23'),
(4, 6, 1, 1, 1, '7500435107815', 1, '2020-10-11 23:26:33'),
(5, 6, 1, 1, 1, '7500435107815', 1, '2020-10-11 23:26:37'),
(6, 6, 1, 1, 1, '7500435107815 ', 1, '2020-10-11 23:32:41'),
(7, 6, 1, 1, 0, '7500435107815', 1, '2020-10-11 23:32:56'),
(8, 6, 1, 1, 0, '7500435107815', 1, '2020-10-11 23:33:01'),
(9, 6, 1, 1, 1, '7500435107815', 1, '2020-10-11 23:33:05'),
(10, 6, 1, 1, 1, '7500435107815', 1, '2020-10-11 23:33:24'),
(11, 6, 1, 1, 0, '7500435107815', 1, '2020-10-11 23:33:26'),
(12, 6, 1, 1, 1, '7500435107815', 1, '2020-10-11 23:33:42'),
(13, 6, 1, 1, 1, '7758574002786', 1, '2020-10-11 23:34:02'),
(14, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 00:10:04'),
(15, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 00:10:18'),
(16, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 00:10:25'),
(17, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 00:10:32'),
(18, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 00:10:47'),
(19, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 00:10:56'),
(20, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 18:50:39'),
(21, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 18:51:52'),
(22, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 18:57:44'),
(23, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 18:57:50'),
(24, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 18:58:08'),
(25, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 18:59:51'),
(26, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 18:59:57'),
(27, 6, 1, 1, 1, '7750182006453', 1, '2020-10-12 19:00:00'),
(28, 6, 1, 1, 0, '7750182006453', 1, '2020-10-12 19:00:12');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `orden_ingreso`
--

DROP TABLE IF EXISTS `orden_ingreso`;
CREATE TABLE IF NOT EXISTS `orden_ingreso` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `codigo` varchar(255) NOT NULL DEFAULT '0000000000',
  `guia_remision` varchar(255) NOT NULL DEFAULT '00000000000',
  `factura` varchar(255) NOT NULL DEFAULT '00000000000',
  `proveedor` int(11) NOT NULL DEFAULT '0',
  `transportista` varchar(255) DEFAULT NULL,
  `observacion` varchar(2048) DEFAULT NULL,
  `fecha_hora_registro` datetime NOT NULL DEFAULT '2000-01-01 12:00:00',
  `fecha_hora_inicio` datetime NOT NULL DEFAULT '2000-01-01 12:00:00',
  `fecha_hora_final` datetime NOT NULL DEFAULT '2000-01-01 12:00:00',
  `estado` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `orden_ingreso_items`
--

DROP TABLE IF EXISTS `orden_ingreso_items`;
CREATE TABLE IF NOT EXISTS `orden_ingreso_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `codigo` varchar(2048) NOT NULL DEFAULT '0000000000',
  `orden_ingreso` int(11) NOT NULL DEFAULT '0',
  `fecha_hora` datetime NOT NULL DEFAULT '2000-01-01 12:00:00',
  `observacion` varchar(2048) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `productos`
--

DROP TABLE IF EXISTS `productos`;
CREATE TABLE IF NOT EXISTS `productos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_empresa` int(11) NOT NULL DEFAULT '0',
  `codigo` varchar(256) NOT NULL DEFAULT '00000000000000',
  `nombre` varchar(255) DEFAULT NULL,
  `descripcion` longtext,
  `categoria` int(11) NOT NULL DEFAULT '0',
  `tipo` int(11) NOT NULL DEFAULT '1',
  `uso_restringido` int(11) NOT NULL DEFAULT '0',
  `material_peligroso` int(11) NOT NULL DEFAULT '0',
  `riesgo_biologico` int(11) NOT NULL DEFAULT '0',
  `material_radioactivo` int(11) NOT NULL DEFAULT '0',
  `material_anomalo` int(11) NOT NULL DEFAULT '0',
  `producto_biologico_marino` int(11) NOT NULL DEFAULT '0',
  `hash` varchar(256) DEFAULT NULL,
  `busqueda` varchar(899) GENERATED ALWAYS AS (concat(`codigo`,' - ',ifnull(`nombre`,''))) STORED,
  PRIMARY KEY (`id`),
  KEY `id_empresa` (`id_empresa`)
) ENGINE=MyISAM AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `productos`
--

INSERT INTO `productos` (`id`, `id_empresa`, `codigo`, `nombre`, `descripcion`, `categoria`, `tipo`, `uso_restringido`, `material_peligroso`, `riesgo_biologico`, `material_radioactivo`, `material_anomalo`, `producto_biologico_marino`, `hash`) VALUES
(1, 6, '7702006202923', 'ACONDICIONADOR SAVITAL CON MULTI Y SABILA FRASCO DE 530 ML', '', 0, 1, 0, 0, 0, 0, 0, 0, 'svfu0bc0tx0bpah2ao1uhhkgod5qul6cg3bc'),
(2, 6, '7500435107815', 'ACONDICIONADOR PANTENE PRO-V SACHET 18ML ', '', 0, 1, 0, 0, 0, 0, 0, 0, 'onnwtnh3tkm1lgejn9qk2ls5y3eyezy641l8'),
(10, 6, '7750182006453', 'AGUA AQUA RIUS SABOR GRANADILLA X 600 ML', 'AGUA AQUA RIUS SABOR GRANADILLA X 600 ML', 0, 3, 1, 1, 0, 0, 0, 1, '2lisa82u74szkvuvihipx1qw4xnhicfhcr1c'),
(11, 6, '7758574002786', 'AVENA FAMILIAR QUAKER 135 GR', 'AVENA FAMILIAR QUAKER 135 GR', 0, 1, 0, 0, 0, 0, 0, 0, 'as6jatndtoteobgfspoot3bgdbfh5hs4ym4z');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `transporte`
--

DROP TABLE IF EXISTS `transporte`;
CREATE TABLE IF NOT EXISTS `transporte` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_empresa` int(11) NOT NULL DEFAULT '0',
  `codigo` varchar(255) DEFAULT NULL,
  `nombre` varchar(255) DEFAULT NULL,
  `hash` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `transporte`
--

INSERT INTO `transporte` (`id`, `id_empresa`, `codigo`, `nombre`, `hash`) VALUES
(1, 6, 'R7E558', 'Camión 1', 'f77bg1cp5551lnon134fg01lttzjfbjen18d');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

DROP TABLE IF EXISTS `usuarios`;
CREATE TABLE IF NOT EXISTS `usuarios` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usuario` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `estado` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`id`, `usuario`, `password`, `estado`) VALUES
(1, 'admin', 'Rnt4ROKPqxn5RkugzOpjLw==', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuario_empresa`
--

DROP TABLE IF EXISTS `usuario_empresa`;
CREATE TABLE IF NOT EXISTS `usuario_empresa` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) NOT NULL,
  `id_empresa` int(11) NOT NULL,
  `estado` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `usuario_empresa`
--

INSERT INTO `usuario_empresa` (`id`, `nombre`, `id_empresa`, `estado`) VALUES
(1, 'admin', 1, 1),
(2, 'admin', 2, 1),
(3, 'admin', 3, 1),
(4, 'admin', 4, 1),
(5, 'admin', 5, 1),
(6, 'admin', 6, 1);

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `productos`
--
ALTER TABLE `productos` ADD FULLTEXT KEY `busqueda` (`busqueda`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
