
jQuery(document).ready(function(){
  /* SCM */ 
  if (typeof Noty == 'undefined') {
            console.warn('Warning - noty.min.js is not loaded.');
            //return;
        }
  else{
    Noty.overrideDefaults({
            theme: 'limitless',
            layout: 'topRight',
            type: 'alert',
            timeout: 2500
        });

  }
  
  jQuery(".navbar-nav a").trigger("click"); 

  jQuery(document).on("change","#ingresar_items_select",function(x){
    console.log("Se cambio SELECT de tipo de ingreso de Codigo de barras");
    valor=jQuery(this).children("option:selected").val();
    console.log("El valor a poner en input #ingresar_item_buscar es :"+valor);
    jQuery(document).find("#ingresar_item_buscar").data("tipo_detalle",valor);
    console.log("El valor de data-tipo_detalle es :"+jQuery(document).find("#ingresar_item_buscar").data("tipo_detalle"));
  }); 

  jQuery(document).on("click",".ingresar_items_proceso",function(x){
    x.preventDefault();
    var e = $.Event( "keypress", { which: 13 } );
    $("#ingresar_item_buscar").trigger(e);

  });
  jQuery(document).on("click",".ver_reporte",function(x){
    x.preventDefault();
    console.log("CLICK VER REPORTE");
    
    id=jQuery(this).data("id");
    target=jQuery(this).data("target");
    dat=jQuery(this).data("dat");
    method=jQuery(this).data("method");
    jQuery(document).find("#idordentitulo_reporte").text(id);
    jQuery(document).find(".listado_otros").hide();
    jQuery(document).find(".ver_reportes").show();

    accion_request="ver_reporte_ajax";
    /* AJAX */
            $.ajax({
                //formulario.serialize()
                 type: method,
                 dataType: "json",
                 url: target,
                 async: false,
                 data: {
                  accion:accion_request,
                  id_orden:id
                  }, // serializes the form's elements.
                 success: function(data)
                 {
                    if(data.response=="ok"){
                      linea="";
                      // PROCESAR RESPUESTA y MOSTRAR ITEMS
                      jQuery.each(data.items, function(k,v) {
                        //console.log("VALOR DE k "+k);
                        //console.log("VALOR DE v "+v);
                        console.log(data.items[k]["codigo"]+" "+data.items[k]["cantidad"]);
                        linea=linea+'<tr role="row" class="'+data.items[k]["clase_linea"]+'">\
                            <td rowspan="1" colspan="1" >'+data.items[k]["codigo"]+'</td>\
                            <td rowspan="1" colspan="2" >'+data.items[k]["nombre"]+'</td>\
                            <td rowspan="1" colspan="1" >'+data.items[k]["agregado"]+'</td>\
                            <td rowspan="1" colspan="1" >'+data.items[k]["sustraido"]+'</td>\
                            <td rowspan="1" colspan="1" >'+data.items[k]["total"]+'</td>\
                            <td rowspan="1" colspan="1" >'+data.items[k]["cantidad_orden"]+'</td>\
                            <td rowspan="1" colspan="1" class="'+data.items[k]["tipo_diferencia"]+'">'+data.items[k]["diferencia"]+'</td>\
                        </tr>';
                        //msg=msg.concat(' <a href="'+data.data.accion[k]["enlace"]+'" class="'+data.data.accion[k]["clase"]+'" data-id="'+data.data.id+'" data-target="'+data.data.accion[k]["accion-data-target"]+'" data-dat="'+data.data.accion[k]["accion-data-dat"]+'" data-method="'+data.data.accion[k]["accion-data-method"]+'"> <i class="'+data.data.accion[k]["icono"]+' ml-2"></i> '+data.data.accion[k]["texto"]+'</a>');
                        /*$.each(this, function(k2, v2) {
                        }); */
                      });

                      jQuery(document).find(".ver_reporte_cuerpo").html(linea);

                      new Noty({
                      text: data.msg.codigo+': '+data.msg.valor,
                      //type: 'success'
                      type: data.msg.tipo
                      }).show();
                    }else{
                      new Noty({
                      text: data.msg.codigo+': '+data.msg.valor,
                      //type: 'success'
                      type: data.msg.tipo
                      }).show();

                    }
                    
                   
                 },
                error: function (jqXHR, exception) {
                    var msg = '';
                    if (jqXHR.status === 0) {
                        msg = 'Not connect.\n Verify Network.';
                    } else if (jqXHR.status == 404) {
                        msg = 'Requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        msg = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        msg = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        msg = 'Time out error.';
                    } else if (exception === 'abort') {
                        msg = 'Ajax request aborted.';
                    } else {
                        msg = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    console.log("Error "+msg);
                }
            }); 
   /* AJAX */
   jQuery(document).find(".listado_otros").hide();
   jQuery(document).find(".ver_reportes").show();

    

    
  });






  jQuery(document).on("click",".ingresar_item",function(x){
    id=jQuery(this).data("id");
    jQuery(document).find(".listado_otros").hide();

    jQuery(document).find(".ingresar_items_cuerpo").html("");
    
    jQuery(document).find("#ingresar_item_buscar").data("idorden",id);
    jQuery(document).find("#idordentitulo_ingreso").text(id);
    jQuery(document).find(".ingresar_items").show();
    jQuery(document).find("#ingresar_item_buscar").focus();
    
    $('html, body').animate({
                    scrollTop: $("#ingresar_items").offset().top
                    }, 300);
  });

      /* INICIO #ingresar_item_buscar */
    window.ejecutar_ii=1;


      jQuery('#ingresar_item_buscar').on("keypress",function(x){
        el_valor=jQuery(this);
        idorden=jQuery(document).find("#ingresar_item_buscar").data("idorden");
        target=jQuery(document).find("#ingresar_item_buscar").data("destino");
        tipo_detalle=jQuery(document).find("#ingresar_item_buscar").data("tipo_detalle");
        console.log("EL ID ORDEN ES "+idorden);
        console.log("EL tipo_detalle "+tipo_detalle);

        valor=jQuery(this).val();
        
        nombre=jQuery(this).data("nombre");
        nombrejson=jQuery(this).data("nombrejson");
        nombrefinal="";
        console.log("valor de ejecutar es "+window.ejecutar_ii);
        if(window.ejecutar_ii==1){
          if(x.which == 13) {
            x.preventDefault();
            window.ejecutar_ii=0;
            console.log("Se presiono ENTER, se enviara al webservice");
            //tbody ingresar_items_cuerpo
            /* EJECUTAR AJAX */
            codigo=valor;
            el_valor.val("");
            method="POST";
            // target="sistema_productos.php";
            /* AJAX */
                $.ajax({
                    //formulario.serialize()
                     type: method,
                     dataType: "json",
                     url: target,
                     async: false,
                     data: {accion:"ingresar_item_ajax",codigo:codigo,id_orden:idorden,tipo_detalle:tipo_detalle}, // serializes the form's elements.
                     success: function(data)
                     {
                        if(data.response=="ok"){
                        console.log("Response es OK ");
                        html=jQuery(document).find(".ingresar_items_cuerpo").html();
                        linea='<tr role="row" class="'+data.clase+'">\
                            <td rowspan="1" colspan="1" class="ingresar_items_check">Check</th>\
                            <td rowspan="1" colspan="1" class="ingresar_items_cantidad" >1</th>\
                            <td rowspan="1" colspan="1" >'+data.data.codigo+'</th>\
                            <td rowspan="1" colspan="2" >'+data.data.nombre+'</th>\
                            <td rowspan="1" colspan="1" >'+data.data.fecha_hora+'</th>\
                            <td rowspan="1" colspan="1" >'+data.data.accion+'</th>\
                            </tr>';

                        jQuery(document).find(".ingresar_items_cuerpo").html(linea+html);
                        new Noty({
                          text: data.msg.codigo+': '+data.msg.valor+' '+data.data.codigo+ " - "+data.data.nombre,
                          //type: 'success'
                          type: data.msg.tipo
                        }).show();
                        }
                        if(data.response=="error"){
                          console.log("Response es ERROR ");
                          new Noty({
                            text: data.msg.codigo+': '+data.msg.valor+' '+data.data.codigo,
                            type: data.msg.tipo
                          }).show();
                          
                         }
                        
                        
                     },
                    error: function (jqXHR, exception) {
                        var msg = '';
                        if (jqXHR.status === 0) {
                            msg = 'Not connect.\n Verify Network.';
                        } else if (jqXHR.status == 404) {
                            msg = 'Requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            msg = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            msg = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            msg = 'Time out error.';
                        } else if (exception === 'abort') {
                            msg = 'Ajax request aborted.';
                        } else {
                            msg = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        console.log("Error "+msg);
                    }
                }); 
                /* AJAX */
            /* FIN EJECUTAR AJAX*/

            setTimeout(function(x){console.log("Pausa de proceso Finalizado , EJECUTAR ES "+window.ejecutar_ii); window.ejecutar_ii=1;},720);
          }
        }
      });
    /* FIN #ingresar_item_buscar */
  jQuery(document).on("click",".regresar_listado_principal",function(x){
    x.preventDefault();
    jQuery(document).find(".listado_otros").hide();
    jQuery(document).find("#listado_principal").show();
  });
  jQuery(document).on("click",".agregar_item",function(x){
    id=jQuery(this).data("id");
    console.log("El id de agregar_items"+jQuery(document).find("#agregar_items").data("idorden"))
    jQuery(document).find("#agregar_items").data("idorden",id);
    jQuery(document).find("#idordentitulo").text(id);
    jQuery(document).find(".listado_principal").hide();
    //jQuery(document).find(".ver_proceso").hide();
    jQuery(document).find(".cond_item_listado").hide();
    method="GET";
    target=jQuery(this).data("destino");
    accion_request="obtener_items_orden";
    /* AJAX */
            $.ajax({
                //formulario.serialize()
                 type: method,
                 dataType: "json",
                 url: target,
                 async: false,
                 data: {
                  accion:accion_request,
                  id:id
                  }, // serializes the form's elements.
                 success: function(data)
                 {
                    if(data.response=="ok"){
                      linea="";
                      // PROCESAR RESPUESTA y MOSTRAR ITEMS
                      jQuery.each(data.items, function(k,v) {
                        //console.log("VALOR DE k "+k);
                        //console.log("VALOR DE v "+v);
                        console.log(data.items[k]["codigo"]+" "+data.items[k]["cantidad"]+" "+data.items[k]["id"]);
                        linea=linea+'<tr role="row" id="agregar_item_i_'+data.items[k]["codigo"]+'" class="agregar_item_linea">\
                        <th rowspan="1" colspan="1" class="agregar_items_check">Check</th>\
                        <th rowspan="1" colspan="1" class="agregar_items_cantidad" >\
                          <input type="text" class="form-control ordenes_agregar_ai_cantidad ordenes_agregar_ai_cantidad_'+data.items[k]["codigo"]+'" data-codigo="'+data.items[k]["codigo"]+'" data-idorden="'+data.items[k]["id"]+'" value="'+data.items[k]["cantidad"]+'">\
                          <input type="hidden" class="form-control ordenes_agregar_ai_cantidad_anterior ordenes_agregar_ai_cantidad_anterior_'+data.items[k]["codigo"]+'" data-codigo="'+data.items[k]["codigo"]+'" data-idorden="'+data.items[k]["id"]+'" value="'+data.items[k]["cantidad"]+'">\
                          </th>\
                        <th rowspan="1" colspan="1" class="ordenes_agregar_ai_codigo_'+data.items[k]["codigo"]+'" data-codigo="'+data.items[k]["codigo"]+'" data-idorden="'+data.items[k]["id"]+'">'+data.items[k]["codigo"]+'</th>\
                        <th rowspan="1" colspan="2" data-idorden="'+data.items[k]["id"]+'">'+data.items[k]["nombre"]+'</th>\
                        <th rowspan="1" colspan="1" >\
                        <button type="button" class="btn btn-primary agregar_items_ai_actualizar agregar_items_ai_actualizar_'+data.items[k]["codigo"]+'" data-procesado="0" data-idorden="'+data.items[k]["id"]+'" data-cantidad="'+data.items[k]["cantidad"]+'" data-codigo="'+data.items[k]["codigo"]+'" ><i class="icon-check"></i> <span class="texto">Actualizar</span></button>\
                        </th></tr>';
                        //msg=msg.concat(' <a href="'+data.data.accion[k]["enlace"]+'" class="'+data.data.accion[k]["clase"]+'" data-id="'+data.data.id+'" data-target="'+data.data.accion[k]["accion-data-target"]+'" data-dat="'+data.data.accion[k]["accion-data-dat"]+'" data-method="'+data.data.accion[k]["accion-data-method"]+'"> <i class="'+data.data.accion[k]["icono"]+' ml-2"></i> '+data.data.accion[k]["texto"]+'</a>');
                        /*$.each(this, function(k2, v2) {
                        }); */
                      });

                      jQuery(document).find(".agregar_items_cuerpo").html(linea);

                      new Noty({
                      text: data.msg.codigo+': '+data.msg.valor+' '+data.data.id,
                      //type: 'success'
                      type: data.msg.tipo
                      }).show();
                    }else{
                      new Noty({
                      text: data.msg.codigo+': '+data.msg.valor+' '+data.data.id,
                      //type: 'success'
                      type: data.msg.tipo
                      }).show();

                    }
                    
                   
                 },
                error: function (jqXHR, exception) {
                    var msg = '';
                    if (jqXHR.status === 0) {
                        msg = 'Not connect.\n Verify Network.';
                    } else if (jqXHR.status == 404) {
                        msg = 'Requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        msg = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        msg = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        msg = 'Time out error.';
                    } else if (exception === 'abort') {
                        msg = 'Ajax request aborted.';
                    } else {
                        msg = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    console.log("Error "+msg);
                }
            }); 
   /* AJAX */

    jQuery(document).find(".agregar_items").show();

  });
  
  jQuery(document).on("keyup",".ordenes_agregar_ai_cantidad",function(x){
    codigo=jQuery(this).data("codigo");
    cantidad=jQuery(this).val();
    valor_anterior=jQuery(document).find(".ordenes_agregar_ai_cantidad_anterior_"+codigo).val();

    if(valor_anterior==cantidad){
      console.log("Valores Iguales, No hacer nada");
      jQuery(document).find(".agregar_items_ai_actualizar_"+codigo).hide();

    }else{
      
      console.log("Nuevo Valor, Mostrar actualizar");

      setTimeout(function(x){
      jQuery(document).find(".agregar_items_ai_actualizar_"+codigo).data("cantidad",cantidad);  
      jQuery(document).find(".agregar_items_ai_actualizar_"+codigo).show();
      },175);

    }
    
    
  });

  jQuery(document).on("click",".agregar_items_ai_actualizar",function(x){
    x.preventDefault();
    /*
    data-idorden="15151515" 
    data-cantidad="1" 
    data-codigo="7750182006453"
    data-procesado="0"
    */
    esto=jQuery(this);
    idorden=jQuery(this).data("idorden");
    cantidad=jQuery(this).data("cantidad");
    codigo=jQuery(this).data("codigo");
    procesado=jQuery(this).data("procesado");
    target=jQuery(document).find("#agregar_items").data("destino");
    method="POST";
    url="sistema_ordenes.php";
    accion_request="actualizar_items_orden";
    /* AJAX */
            $.ajax({
                //formulario.serialize()
                 type: method,
                 dataType: "json",
                 url: target,
                 async: false,
                 data: {
                  accion:accion_request,
                  id:idorden,
                  cantidad:cantidad,
                  codigo:codigo
                  }, // serializes the form's elements.
                 success: function(data)
                 {
                    if(data.response=="ok"){
                      esto.data("procesado","1");
                      jQuery(document).find(".ordenes_agregar_ai_cantidad_anterior_"+codigo).val(cantidad);
                      esto.hide();
                      new Noty({
                      text: data.msg.codigo+': '+data.msg.valor+' '+data.data.codigo+ " - "+data.data.nombre,
                      //type: 'success'
                      type: data.msg.tipo
                      }).show();
                    }else{
                      new Noty({
                      text: data.msg.codigo+': '+data.msg.valor+' '+data.data.codigo+ " - "+data.data.nombre,
                      //type: 'success'
                      type: data.msg.tipo
                      }).show();

                    }
                    
                   
                 },
                error: function (jqXHR, exception) {
                    var msg = '';
                    if (jqXHR.status === 0) {
                        msg = 'Not connect.\n Verify Network.';
                    } else if (jqXHR.status == 404) {
                        msg = 'Requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        msg = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        msg = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        msg = 'Time out error.';
                    } else if (exception === 'abort') {
                        msg = 'Ajax request aborted.';
                    } else {
                        msg = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    console.log("Error "+msg);
                }
            }); 
   /* AJAX */

  });
  if(jQuery(document).find("#agregar_item_buscar").length){
    $("#agregar_item_buscar").autocomplete({
        source: "sistema_productos.php",
        select: function( event, ui ) {
            //event.preventDefault();
            //$("#destino_id").val(ui.item.id);
            $("#agregar_item_buscar").val(ui.item.codigo);
            setTimeout(function(x){
                console.log("El Codigo es "+ui.item.codigo);
                console.log('CAMBIARLO');
                $("#agregar_item_buscar").val(ui.item.codigo);
                setTimeout(function(x){
                    var e = $.Event( "keypress", { which: 13 } );
                    $("#agregar_item_buscar").trigger(e);
                },75);
            },150);
            //$("#tipo_busqueda").val(ui.item.tipo_busqueda);
        }
    });

    window.ejecutar_ai=1;


      jQuery('#agregar_item_buscar').on("keypress",function(x){
        el_valor=jQuery(this);
        idorden=jQuery(document).find("#agregar_items").data("idorden");
        console.log("EL ID ORDEN ES "+idorden);
        valor=jQuery(this).val();
        
        nombre=jQuery(this).data("nombre");
        nombrejson=jQuery(this).data("nombrejson");
        nombrefinal="";
        console.log("valor de ejecutar es "+window.ejecutar_ai);
        if(window.ejecutar_ai==1){
          if(x.which == 13) {
          x.preventDefault();
          if(nombrejson=="1"){
            nombrefinal=nombre;
          }else{
            /* OBTENER NOMBRE */
            codigo=valor;
            method="GET";
            target="sistema_productos.php";
                /* AJAX */
                $.ajax({
                    //formulario.serialize()
                     type: method,
                     dataType: "json",
                     url: target,
                     async: false,
                     data: {obtener_nombre:codigo}, // serializes the form's elements.
                     success: function(data)
                     {
                        
                        console.log("Nombre es "+data.nombre);
                        console.log("Nombre3 es "+data[0].nombre);
                        nombrefinal=data[0].nombre;
                        jQuery(document).find("#agregar_item_buscar").data("nombrejson","1");
                        jQuery(document).find("#agregar_item_buscar").data("nombre",nombrefinal);
                        //alert(data); // show response from the php script.
                        //$("#"+objetivo).html(data);
                        //$("select").formSelect();
                     },
                    error: function (jqXHR, exception) {
                        var msg = '';
                        if (jqXHR.status === 0) {
                            msg = 'Not connect.\n Verify Network.';
                        } else if (jqXHR.status == 404) {
                            msg = 'Requested page not found. [404]';
                        } else if (jqXHR.status == 500) {
                            msg = 'Internal Server Error [500].';
                        } else if (exception === 'parsererror') {
                            msg = 'Requested JSON parse failed.';
                        } else if (exception === 'timeout') {
                            msg = 'Time out error.';
                        } else if (exception === 'abort') {
                            msg = 'Ajax request aborted.';
                        } else {
                            msg = 'Uncaught Error.\n' + jqXHR.responseText;
                        }
                        console.log("Error "+msg);
                    }
                }); 
                /* AJAX */
                /* FIN OBTENER NOMBRE*/

          }

          window.ejecutar_ai=0;
          if(jQuery(document).find("#agregar_item_i_"+valor).length){
            console.log("Existe "+"#agregar_item_i_"+valor);
            //existe item en el documento , hacerle scroll y focus al input cantidad
            $('html, body').animate({
                    scrollTop: $("#agregar_item_i_"+valor).offset().top
                    }, 300);

          }else{
            // Generar Linea y hacerle focus
            console.log("El nombrefinal es "+nombrefinal);
            console.log("NO Existe "+"#agregar_item_i_"+valor);
            linea='<tr role="row" id="agregar_item_i_'+valor+'" class="agregar_item_linea">\
            <th rowspan="1" colspan="1" class="agregar_items_check">Check</th>\
            <th rowspan="1" colspan="1" class="agregar_items_cantidad" >\
              <input type="text" class="form-control ordenes_agregar_ai_cantidad ordenes_agregar_ai_cantidad_'+valor+'" data-codigo="'+valor+'" data-idorden="'+idorden+'" value="1">\
              <input type="hidden" class="form-control ordenes_agregar_ai_cantidad_anterior ordenes_agregar_ai_cantidad_anterior_'+valor+'" data-codigo="'+valor+'" data-idorden="'+idorden+'" value="0">\
              </th>\
            <th rowspan="1" colspan="1" class="ordenes_agregar_ai_codigo_'+valor+'" data-codigo="'+valor+'" data-idorden="'+idorden+'">'+valor+'</th>\
            <th rowspan="1" colspan="2" data-idorden="'+idorden+'">'+nombrefinal+'</th>\
            <th rowspan="1" colspan="1" >\
            <button type="button" class="btn btn-primary agregar_items_ai_actualizar agregar_items_ai_actualizar_'+valor+'" data-procesado="0" data-idorden="'+idorden+'" data-cantidad="1" data-codigo="'+valor+'" ><i class="icon-check"></i> <span class="texto">Actualizar</span></button>\
            </th></tr>';
            html=jQuery(document).find(".agregar_items_cuerpo").html();
            jQuery(document).find(".agregar_items_cuerpo").html(linea+" "+html);
          }

          jQuery(document).find("#agregar_item_buscar").data("nombrejson","0");
          jQuery(document).find("#agregar_item_buscar").data("nombre","");
          jQuery(document).find("#agregar_item_buscar").val("");

          //console.log("Haciendo Click a verificar_boton");

          /*setTimeout(function(x){
          jQuery(document).find(".verificar_boton").trigger("click");
          console.log("200ms despues");  
          },200); */

          
          setTimeout(function(x){console.log("Pausa de proceso iniciado , EJECUTAR ES "+window.ejecutar); window.ejecutar_ai=1;},1720);
          }  
        }

        setTimeout(function(x){
          //jQuery(document).find(".item_post_codigo").trigger("keypress");
          valor=jQuery(document).find('.item_id_empresa_asociada').children("option:selected").data("value");
          //jQuery(document).find(".verificar_codigo").val(valor+"."+jQuery(this).val()).trigger("keypress");
          jQuery(document).find(".verificar_codigo").val(valor+"."+el_valor.val()).trigger("keypress");
          console.log("200ms despues KEYPRESS");  
        },200);

        
        

      });

  }

  jQuery(document).find('.item_id_empresa_asociada').on("change",function(x){
    x.preventDefault();
    valor=jQuery(this).children("option:selected").data("value");
    console.log("El valor select empresa es "+valor);
  });

  jQuery(document).find(".item_post_codigo").bind("paste", function(x){
    console.log("CONTENIDO PEGADO");
    setTimeout(function(x){
      jQuery(document).find(".item_post_codigo").trigger("keypress");
      console.log("300ms despues");  
    },100);
    

  });

  jQuery(document).on("change keyup",".item_post_codigo",function(x){
    if(x.keyCode == 8) {
      console.log("Se presiono BACKSPACE Keyup 8");
      console.log("Se presiono ACCIONES change");

      jQuery(document).find(".verificar_boton_texto").text("Verificar");
      jQuery(document).find(".verificar_boton i").hide();
      jQuery(document).find(".verificar").show();
      jQuery(document).find(".datos").hide();
      jQuery(document).find(".datos_registrar").hide();
      
    }
    
    
  });
  window.ejecutar=1;
  jQuery('.item_post_codigo').on("keypress",function(x){
    el_valor=jQuery(this);
    console.log("valor de ejecutar es "+window.ejecutar);
    if(window.ejecutar==1){
      if(x.which == 13) {
      x.preventDefault();
      window.ejecutar=0;
      console.log("Haciendo Click a verificar_boton");

      setTimeout(function(x){
      //jQuery(document).find(".item_post_codigo").trigger("keypress");
      jQuery(document).find(".verificar_boton").trigger("click");
      console.log("200ms despues");  
    },200);

      
      setTimeout(function(x){console.log("Pausa de proceso iniciado , EJECUTAR ES "+window.ejecutar); window.ejecutar=1;},1720);
      }  
    }

    setTimeout(function(x){
      //jQuery(document).find(".item_post_codigo").trigger("keypress");
      valor=jQuery(document).find('.item_id_empresa_asociada').children("option:selected").data("value");
      //jQuery(document).find(".verificar_codigo").val(valor+"."+jQuery(this).val()).trigger("keypress");
      jQuery(document).find(".verificar_codigo").val(valor+"."+el_valor.val()).trigger("keypress");
      console.log("200ms despues KEYPRESS");  
    },200);

    
    

  });

  jQuery('.verificar_codigox').on("keypress",function(x){
    
    target=jQuery(this).data("target");
    method=jQuery(this).data("method");
    dat=jQuery(this).data("dat");  
    if (jQuery(this).val().length != 0){
      if(x.which == 13) {
        x.preventDefault();
        console.log("Se presiono ENTER");
        jQuery(document).find(".verificar_boton_texto").text("Verificando");
        jQuery(document).find(".verificar_boton i").show();

      }
    }
  }); 

  $('#element').on('keypress', function() {
      //code to be executed
    }).on('keydown', function(e) {
      if (e.keyCode==8)
        $('element').trigger('keypress');
    });

  jQuery(document).on("click",".verificar_boton",function(x){
    x.preventDefault();
    var e = $.Event( "keypress", { which: 13 } );
    jQuery('.verificar_codigo').trigger(e);
  });
  jQuery(document).find(".verificar_codigo").bind("paste", function(x){
    console.log("CONTENIDO PEGADO");
    setTimeout(function(x){
      jQuery(document).find(".verificar_codigo").trigger("keypress");
      console.log("300ms despues");  
    },100);
    

  });
  jQuery(document).on("change keyup",".verificar_codigo",function(x){
    /*var formulario=$(this).parents("form");
    formulario.trigger("reset");
    $.uniform.update(); */
    if(x.keyCode == 8) {
      console.log("Se presiono BACKSPACE Keyup 8");
      console.log("Se presiono ACCIONES change");

      jQuery(document).find(".verificar_boton_texto").text("Verificar");
      jQuery(document).find(".verificar_boton i").hide();
      jQuery(document).find(".verificar").show();
      jQuery(document).find(".datos").hide();
      jQuery(document).find(".datos_registrar").hide();
      
    }
    
  });
  jQuery('.verificar_codigo').on("keypress",function(x){
    //x.preventDefault();
    console.log("Escribirndo "+jQuery(this).val());
    jQuery(document).find(".verificar").show();
    jQuery(document).find(".verificar_boton_texto").text("Verificar");
    jQuery(document).find(".datos").hide();
    jQuery(document).find(".datos_registrar").hide();
    if (jQuery(this).val().length != 0){
      jQuery(document).find(".verificar").show();
      jQuery(document).find(".verificar_boton i").hide();
      if(x.keyCode == 8) {
        console.log("Se presiono BACKSPACE FN");
      }
      if(x.which == 13) {
        x.preventDefault();
        console.log("Se presiono ENTER");
        target=jQuery(this).data("target");
        method=jQuery(this).data("method");
        //dat=jQuery(this).data("dat"); 
        dat=jQuery(this).val();
        jQuery(document).find(".verificar_boton_texto").text("Verificando");
        jQuery(document).find(".verificar_boton i").show();
        jQuery(this).prop("disabled","disabled");
        objetivo=jQuery(this);
        /* AJAX */
        $.ajax({
            //formulario.serialize()
             type: method,
             dataType: "json",
             url: target,
             data: {verificar:dat}, // serializes the form's elements.
             success: function(data)
             {
                objetivo.removeAttr("disabled");
                console.log("Data es "+data.response);
                jQuery(document).find(".verificar_boton_texto").text("Verificar");
                jQuery(document).find(".verificar_boton i").hide();
                if(data.response=="0"){
                  console.log("NO hay resultados");
                  jQuery(document).find(".card-title .titulo_estado").text("Registrar");
                  jQuery(document).find(".datos").show();
                  jQuery(document).find(".datos_registrar").show();
                  jQuery(document).find(".verificar").hide();
                  jQuery(".verificar_codigo" ).prop("readonly",true);
                  jQuery(".item_post_codigo" ).prop("readonly",true);
                }else{
                  console.log("SI hay resultados");
                  jQuery(document).find(".datos").hide();
                  jQuery(document).find(".datos_registrar").hide();
                  var msg=data.data.mensaje+" ";
                  //verificar_mensaje
                  jQuery.each(data.data.accion, function(k,v) {
                    //console.log("VALOR DE k "+k);
                    //console.log("VALOR DE v "+v);
                    msg=msg.concat(' <a href="'+data.data.accion[k]["enlace"]+'" class="'+data.data.accion[k]["clase"]+'" data-id="'+data.data.id+'" data-target="'+data.data.accion[k]["accion-data-target"]+'" data-dat="'+data.data.accion[k]["accion-data-dat"]+'" data-method="'+data.data.accion[k]["accion-data-method"]+'"> <i class="'+data.data.accion[k]["icono"]+' ml-2"></i> '+data.data.accion[k]["texto"]+'</a>');
                    /*$.each(this, function(k2, v2) {
                    }); */
                  });
                  jQuery(document).find(".verificar_mensaje").html(msg).show();
                  console.log(msg);

                }
                //alert(data); // show response from the php script.
                //$("#"+objetivo).html(data);
                //$("select").formSelect();
             },
            error: function (jqXHR, exception) {
                var msg = '';
                if (jqXHR.status === 0) {
                    msg = 'Not connect.\n Verify Network.';
                } else if (jqXHR.status == 404) {
                    msg = 'Requested page not found. [404]';
                } else if (jqXHR.status == 500) {
                    msg = 'Internal Server Error [500].';
                } else if (exception === 'parsererror') {
                    msg = 'Requested JSON parse failed.';
                } else if (exception === 'timeout') {
                    msg = 'Time out error.';
                } else if (exception === 'abort') {
                    msg = 'Ajax request aborted.';
                } else {
                    msg = 'Uncaught Error.\n' + jqXHR.responseText;
                }
                console.log("Error "+msg);
            }
        }); 
        /* AJAX */

      }
    }else{
      jQuery(document).find(".verificar").hide();
      jQuery(document).find(".verificar_boton i").hide();
    }
  });
  

  jQuery(document).on("click",".editar_item",function(x){
    x.preventDefault();
    console.log("Editar item");
    target=jQuery(this).data("target");
    method=jQuery(this).data("method");
    id=jQuery(this).data("id");
    dat=jQuery(this).data("dat"); 
    /* AJAX */
        $.ajax({
            //formulario.serialize()
             type: method,
             dataType: "json",
             url: target,
             data: {editar_ajax:id}, // serializes the form's elements.
             success: function(data)
             {

                jQuery.each(data, function(k,v) {
                  //console.log("Indice "+k+"Valor +"+JSON.stringify(v));
                  //console.log(data[k]["checked"]+"Es el checked");
                  //console.log(data[k]["type"]+" Es el type");
                  var r_type=0;
                  var r_readonly=0;
                  var r_checked=0;
                  var r_disabled=0;
                  var r_value=0;
                  var r_hidden=0;
                  if(data[k]["type"] !== undefined){
                    console.log(k + " Tiene type "+data[k]["type"]);
                    r_type=1;
                  }
                  if(data[k]["readonly"] !== undefined){
                    console.log(k + " Tiene readonly "+data[k]["readonly"]);
                    r_readonly=1;
                  }
                  if(data[k]["checked"] !== undefined){
                    console.log(k + " Tiene Checked "+data[k]["checked"]);
                    r_checked=1;
                  }
                  if(data[k]["disabled"] !== undefined){
                    console.log(k + " Tiene disabled "+data[k]["disabled"]);
                    r_disabled=1;
                  }
                  if(data[k]["value"] !== undefined){
                    console.log(k + " Tiene value "+data[k]["value"]);
                    r_value=1;
                  }
                  if(data[k]["hidden"] !== undefined){
                    console.log(k + " Tiene hidden "+data[k]["hidden"]);
                    r_hidden=1;
                  }
                  console.log("----------------");
                  //console.log(data.k.type+"Es el tipo");
                  if(r_type==1){
                    switch(data[k]["type"]){
                      case "checkbox":
                        if(r_disabled){ 
                          if(data[k]["disabled"]=="1"){
                          jQuery(document).find(".item_"+k).prop("disabled", true);
                          }
                          else{
                            jQuery(document).find(".item_"+k).prop("disabled", false);
                          }
                        }
                        else{ jQuery(document).find(".item_"+k).prop("disabled", false);}
                        if(r_checked){
                          if(data[k]["checked"]=="1"){
                            jQuery(document).find(".item_"+k).prop("checked", true);
                          }else{
                            jQuery(document).find(".item_"+k).prop("checked", false);
                          }
                          
                        }
                        if(r_readonly){
                          if(data[k]["readonly"]=="1"){
                            jQuery(document).find(".item_"+k).prop("readonly", true);
                          }else{
                            jQuery(document).find(".item_"+k).prop("readonly", false);
                          }
                          
                        }
                      break;
                      case "hidden":
                        if ( jQuery(document).find(".item_"+k).length ) {
                          jQuery(document).find(".item_"+k).val(data[k]["value"]);
                          //$( "#myDiv" ).show();
                        }else{
                          nhtml='<input type="hidden" name="'+k+'" value="'+data[k]["value"]+'"/>'
                          html=jQuery(document).find("#datos_id").html();
                          jQuery(document).find("#datos_id").html(html+"\n"+nhtml);
                        }

                      break;
                      case "text":
                        if(r_value){
                          jQuery(document).find(".item_"+k).val(data[k]["value"]);
                        }
                        if(r_disabled){ 
                          if(data[k]["disabled"]=="1"){
                          jQuery(document).find(".item_"+k).prop("disabled", true);
                          }
                          else{
                            jQuery(document).find(".item_"+k).prop("disabled", false);
                          }
                        }                      
                        else{ jQuery(document).find(".item_"+k).prop("disabled", false);}

                        if(r_readonly){
                          if(data[k]["readonly"]=="1"){
                            jQuery(document).find(".item_"+k).prop("readonly", true);
                          }else{
                            jQuery(document).find(".item_"+k).prop("readonly", false);
                          }
                          
                        }
                        
                      break;
                      case "select":
                        if(r_disabled){ jQuery(document).find(".item_"+k).prop("disabled", true);}
                        else{ jQuery(document).find(".item_"+k).prop("disabled", false);}

                        if(r_readonly){
                          if(data[k]["readonly"]=="1"){
                            jQuery(document).find(".item_"+k).prop("readonly", true);
                          }else{
                            jQuery(document).find(".item_"+k).prop("readonly", false);
                          }
                          
                        }
                      break;

                    }

                  }else{
                    // Si no tiene type se sobreentiende que es TEXT y se le asigna el value
                    // en caso de ser un SELECT, se procesara el option (En Desarrollo)
                    jQuery(document).find(".item_"+k).val(data[k]["value"]);
                    //jQuery(document).find(".item_tipo").val("3");
                  }


                });
                /*objetivo.removeAttr("disabled");
                console.log("Data es "+data.response);
                jQuery(document).find(".verificar_boton_texto").text("Verificar");
                jQuery(document).find(".verificar_boton i").hide();
                if(data.response=="0"){
                  console.log("NO hay resultados");
                  jQuery(document).find(".datos").show();
                  jQuery(document).find(".datos_registrar").show();
                  jQuery(document).find(".verificar").hide();
                }else{
                  console.log("SI hay resultados");
                  jQuery(document).find(".datos").hide();
                  jQuery(document).find(".datos_registrar").hide();
                  var msg=data.data.mensaje+" ";
                  
                  jQuery.each(data.data.accion, function(k,v) {
                    
                    msg=msg.concat(' <a href="'+data.data.accion[k]["enlace"]+'" class="'+data.data.accion[k]["clase"]+'" data-id="'+data.data.id+'" data-target="'+data.data.accion[k]["accion-data-target"]+'" data-dat="'+data.data.accion[k]["accion-data-dat"]+'"> <i class="'+data.data.accion[k]["icono"]+' ml-2"></i> '+data.data.accion[k]["texto"]+'</a>');
                   
                  });
                  jQuery(document).find(".verificar_mensaje").html(msg).show();
                  console.log(msg);
                
                } GPT3*/
                /*
                //jQuery(document).find(".item_tipo").val("3");
                jQuery("select").select2("destroy");
              jQuery("select").select2();
                */
              jQuery(".verificar_codigo" ).prop("readonly",true);  
              jQuery(document).find(".datos").show();
              jQuery(document).find(".datos_registrar").show();
              jQuery(document).find(".verificar").hide();
              jQuery("select").select2("destroy");
              jQuery("select").select2();
              jQuery(document).find(".limpiar_formulario_ajax_proceso").hide();
              jQuery(document).find(".verificar_mensaje").html("").hide();
              jQuery(document).find("#datos_accion").val("actualizar");
              jQuery(document).find(".enviar_formulario_ajax_proceso").text("Actualizar");
              jQuery.uniform.update();
              console.log("PRE Ocultar Listado y Mostrar Card");
                if(jQuery(document).find(".cond_item_listado").length){
                  // Esta dentro de Listado
                  // Ocultar Listado y Mostrar Card
                  console.log("Ocultar Listado y Mostrar Card");
                  jQuery(document).find(".listado_principal").hide();
                  jQuery(document).find(".cond_item_listado").show();
                  jQuery(document).find(".card-title .titulo_estado").text("Editar");

                  if(jQuery(document).find("#inicio_datos").length){
                    console.log("Existe INICIO DATOS");
                    $('html, body').animate({
                    scrollTop: $("#inicio_datos").offset().top
                    }, 300);
                  }else{
                    console.log("NO Existe INICIO DATOS");
                  }




                }
                // FIN IF
              },
            error: function (jqXHR, exception) {
                var msg = '';
                if (jqXHR.status === 0) {
                    msg = 'Not connect.\n Verify Network.';
                } else if (jqXHR.status == 404) {
                    msg = 'Requested page not found. [404]';
                } else if (jqXHR.status == 500) {
                    msg = 'Internal Server Error [500].';
                } else if (exception === 'parsererror') {
                    msg = 'Requested JSON parse failed.';
                } else if (exception === 'timeout') {
                    msg = 'Time out error.';
                } else if (exception === 'abort') {
                    msg = 'Ajax request aborted.';
                } else {
                    msg = 'Uncaught Error.\n' + jqXHR.responseText;
                }
                console.log("Error "+msg);
            }
        }); 
        /* AJAX */

  });
jQuery(document).on("click",".eliminar_item",function(x){
  x.preventDefault();
  console.log("Editar item");
  target=jQuery(this).data("target");
  method=jQuery(this).data("method");
  id=jQuery(this).data("id");
  dat=jQuery(this).data("dat"); 
   var notyConfirm = new Noty({
    text: '<h6 class="mb-3">Confirma tu acción</h6>',
    timeout: false,
    modal: true,
    layout: 'center',
    closeWith: 'button',
    type: 'confirm',
    buttons: [
      Noty.button('Cancelar', 'btn btn-link', function() {
        notyConfirm.close();
      }),

      Noty.button('Eliminar <i class="icon-cancel-circle2 ml-2"></i>', 'btn bg-danger ml-1', function() {
        //alert('Submitted!');
        /* AJAX */
        $.ajax({
            //formulario.serialize()
             type: method,
             dataType: "json",
             url: target,
             data: {eliminar_ajax:id}, // serializes the form's elements.
             success: function(data)
             {

               if(data.response=="ok"){
                console.log("Response es OK ");
                new Noty({
                  text: data.msg.codigo+': '+data.msg.valor+' '+data.data.codigo+ " - "+data.data.nombre,
                  //type: 'success'
                  type: data.msg.tipo
                }).show();
                var formulario=jQuery(document).find("#formulario_item");
                formulario.trigger("reset");
                $.uniform.update();
                jQuery("select").select2("destroy");
                jQuery("select").select2();
                jQuery(document).find(".datos").hide();
                  jQuery(document).find(".datos_registrar").hide();
                  jQuery(document).find(".verificar_boton i").hide();
                  jQuery(document).find(".verificar").hide();
                  jQuery(document).find(".verificar_boton_texto").text("Verificar");
                  jQuery(document).find("#datos_id").html("");
                  jQuery(document).find(".verificar_mensaje").html("");
                  jQuery(document).find(".verificar_mensaje").hide();

                  jQuery(document).find("#datos_accion").val("registrar");
                  jQuery(document).find(".enviar_formulario_ajax_proceso").text("Registrar");

                  if(jQuery(document).find("#inicio_datos").length){
                    console.log("Existe INICIO DATOS");
                    $('html, body').animate({
                    scrollTop: $("#inicio_datos").offset().top
                    }, 300);
                  }else{
                    console.log("NO Existe INICIO DATOS");
                  }
                  
                  jQuery(".verificar_codigo" ).prop("readonly",false);
                  jQuery(".verificar_codigo" ).focus();
                  jQuery(document).find(".item_list_"+id).remove();
                  //jQuery(document).find(".item_list_4").remove();
                  notyConfirm.close();
               }
               // 7702006202923
               // ACONDICIONADOR SAVITAL CON MULTI Y SABILA FRASCO DE 530 ML
               if(data.response=="error"){
                console.log("Response es ERROR ");
                new Noty({
                  text: data.msg.codigo+': '+data.msg.valor+' '+data.data.codigo,
                  type: data.msg.tipo
                }).show();
                notyConfirm.close();
               }
              
              },
            error: function (jqXHR, exception) {
                var msg = '';
                if (jqXHR.status === 0) {
                    msg = 'Not connect.\n Verify Network.';
                } else if (jqXHR.status == 404) {
                    msg = 'Requested page not found. [404]';
                } else if (jqXHR.status == 500) {
                    msg = 'Internal Server Error [500].';
                } else if (exception === 'parsererror') {
                    msg = 'Requested JSON parse failed.';
                } else if (exception === 'timeout') {
                    msg = 'Time out error.';
                } else if (exception === 'abort') {
                    msg = 'Ajax request aborted.';
                } else {
                    msg = 'Uncaught Error.\n' + jqXHR.responseText;
                }
                console.log("Error "+msg);
            }
        }); 
        /* AJAX */
      }, {
        id: 'button1',
        'data-status': 'ok'
      })
    ]
  }).show();

});

jQuery(document).on("click",".regresar_formulario_ajax_proceso",function(x){
  x.preventDefault();
  //7500435107815

  if(jQuery(document).find(".cond_item_listado").length){
    // Esta dentro de Listado
    // Ocultar Listado y Mostrar Card
    jQuery(document).find(".cond_item_listado").hide();
    jQuery(document).find(".listado_principal").show();
    if(jQuery(document).find("#listado_principal").length){
      $('html, body').animate({
                    scrollTop: $("#listado_principal").offset().top
                  }, 300);
    }
    jQuery(".verificar_codigo" ).prop("readonly",false);
  }

  if(jQuery(document).find(".cond_item_solo").length){
    // Esta dentro de Listado
    // Ocultar Listado y Mostrar Card
    jQuery(document).find(".verificar_codigo").val("").trigger("keypress");
    //jQuery(document).find(".cond_item_listado").hide();
    //jQuery(document).find(".listado_principal").show();
    if(jQuery(document).find("#inicio_datos").length){
      $('html, body').animate({
                    scrollTop: $("#inicio_datos").offset().top
                  }, 300);
    }
    jQuery(".verificar_codigo" ).prop("readonly",false);
    jQuery(".item_post_codigo" ).prop("readonly",false);
    jQuery(document).find(".item_post_codigo").val("").trigger("keypress");
    if(jQuery(document).find(".item_post_codigo").length){
      jQuery(".item_post_codigo" ).focus();  
    }else{
      jQuery(".verificar_codigo" ).focus();
    }
    
  }

});
$(document).on("click",".enviar_formulario_ajax_proceso",function(b) {
//$(".enviar_formulario_ajax").click(function(b) {
  b.preventDefault();
  var objetivo=$(this).parents("form").data("objetivo");
  var formulario=$(this).parents("form");
  var url=$(this).parents("form").attr('action')
  console.log("objetivo es"+objetivo);
console.log("Formulario Serializado "+formulario.serialize());
  $.ajax({
           type: "POST",
           url: url,
           dataType: "json",
           data: formulario.serialize(), // serializes the form's elements.
           success: function(data)
           {
               //alert(data); // show response from the php script.
               //$("#"+objetivo).html(data);
               //$("select").formSelect();
               console.log("JSON RESPONSE "+data.response);
               if(data.response=="ok"){
                console.log("Response es OK ");
                new Noty({
                  text: data.msg.codigo+': '+data.msg.valor+' '+data.data.codigo+ " - "+data.data.nombre,
                  //type: 'success'
                  type: data.msg.tipo
                }).show();
                formulario.trigger("reset");
                $.uniform.update();
                jQuery("select").select2("destroy");
                jQuery("select").select2();
                jQuery(document).find(".datos").hide();
                  jQuery(document).find(".datos_registrar").hide();
                  jQuery(document).find(".verificar_boton i").hide();
                  jQuery(document).find(".verificar").hide();
                  jQuery(document).find(".verificar_boton_texto").text("Verificar");
                  jQuery(document).find("#datos_id").html("");

                  jQuery(document).find("#datos_accion").val("registrar");
                  jQuery(document).find(".enviar_formulario_ajax_proceso").text("Registrar");

                  jQuery(".verificar_codigo" ).prop("readonly",false);
                  

                  if(jQuery(document).find(".cond_item_listado").length){
                    // Esta dentro de Listado
                    // Ocultar Listado y Mostrar Card
                    jQuery(document).find(".cond_item_listado").hide();
                    jQuery(document).find(".listado_principal").show();
                    if(jQuery(document).find("#listado_principal").length){
                      $('html, body').animate({
                                    scrollTop: $("#listado_principal").offset().top
                                  }, 300);
                    }
                  }

                  if(jQuery(document).find(".cond_item_solo").length){
                    // Esta dentro de Listado
                    // Ocultar Listado y Mostrar Card
                    jQuery(document).find(".verificar_codigo").val("").trigger("keypress");
                    //jQuery(document).find(".cond_item_listado").hide();
                    //jQuery(document).find(".listado_principal").show();
                    if(jQuery(document).find("#inicio_datos").length){
                      $('html, body').animate({
                                    scrollTop: $("#inicio_datos").offset().top
                                  }, 300);
                    }
                    jQuery(".verificar_codigo" ).focus();
                  }
                  /*
                  $('html, body').animate({
                    scrollTop: $("#inicio_datos").offset().top
                  }, 300); */


                  
               }
               // 7702006202923
               // ACONDICIONADOR SAVITAL CON MULTI Y SABILA FRASCO DE 530 ML
               if(data.response=="error"){
                console.log("Response es ERROR ");
                new Noty({
                  text: '600: Error Guardando en la base de datos '+data.data.codigo,
                  type: 'error'
                }).show();
               }
           },
          error: function (jqXHR, exception) {
            var msg = '';
            if (jqXHR.status === 0) {
                msg = 'Not connect.\n Verify Network.';
            } else if (jqXHR.status == 404) {
                msg = 'Requested page not found. [404]';
            } else if (jqXHR.status == 500) {
                msg = 'Internal Server Error [500].';
            } else if (exception === 'parsererror') {
                msg = 'Requested JSON parse failed.';
            } else if (exception === 'timeout') {
                msg = 'Time out error.';
            } else if (exception === 'abort') {
                msg = 'Ajax request aborted.';
            } else {
                msg = 'Uncaught Error.\n' + jqXHR.responseText;
            }
            console.log("Error "+msg);
        },
         }); 

    
});

  $(document).on("click",".enviar_formulario_ajax",function(b) {
    //$(".enviar_formulario_ajax").click(function(b) {
    b.preventDefault();
    var objetivo=$(this).parents("form").data("objetivo");
    var formulario=$(this).parents("form");
    var url=$(this).parents("form").attr('action')
    console.log("objetivo es"+objetivo);
    console.log("Formulario Serializado "+formulario.serialize());
    jQuery(document).find(".mensaje_acceso").show();
    $.ajax({
             type: "POST",
             url: url,
             data: formulario.serialize(), // serializes the form's elements.
             success: function(data)
             {
                 //alert(data); // show response from the php script.
                 $("#"+objetivo).html(data);
                 $("select").formSelect();
             },
      error: function (jqXHR, exception) {
          var msg = '';
          if (jqXHR.status === 0) {
              msg = 'Not connect.\n Verify Network.';
          } else if (jqXHR.status == 404) {
              msg = 'Requested page not found. [404]';
          } else if (jqXHR.status == 500) {
              msg = 'Internal Server Error [500].';
          } else if (exception === 'parsererror') {
              msg = 'Requested JSON parse failed.';
          } else if (exception === 'timeout') {
              msg = 'Time out error.';
          } else if (exception === 'abort') {
              msg = 'Ajax request aborted.';
          } else {
              msg = 'Uncaught Error.\n' + jqXHR.responseText;
          }
          console.log("Error "+msg);
      },
    }); 
  });

  $(document).on("click",".enviar_formulario_ajax2",function(b) {
    //$(".enviar_formulario_ajax").click(function(b) {
    b.preventDefault();
    var objetivo=$(this).parents("form").data("objetivo");
    var formulario=$(this).parents("form");
    var url=$(this).parents("form").attr('action')
    console.log("objetivo es"+objetivo);
    console.log("Formulario Serializado "+formulario.serialize());
    jQuery(document).find(".mensaje_acceso").show();
     $.ajax({
             type: "POST",
             url: url,
             data: formulario.serialize(), // serializes the form's elements.
             success: function(data)
             {
                 //alert(data); // show response from the php script.
                 if(data=="1"){
                  window.location.href="sistema.php";
                 }
                 else if(data=="99"){
                  window.location.href="index.php";
                 }else{
                 $("#"+objetivo).html(data);
                 $("select").formSelect(); 
                 }
                 
             },
      error: function (jqXHR, exception) {
          var msg = '';
          if (jqXHR.status === 0) {
              msg = 'Not connect.\n Verify Network.';
          } else if (jqXHR.status == 404) {
              msg = 'Requested page not found. [404]';
          } else if (jqXHR.status == 500) {
              msg = 'Internal Server Error [500].';
          } else if (exception === 'parsererror') {
              msg = 'Requested JSON parse failed.';
          } else if (exception === 'timeout') {
              msg = 'Time out error.';
          } else if (exception === 'abort') {
              msg = 'Ajax request aborted.';
          } else {
              msg = 'Uncaught Error.\n' + jqXHR.responseText;
          }
          console.log("Error "+msg);
      },
           });  
  });

  if (!$().uniform) {
            console.warn('Warning - uniform.min.js is not loaded.');
            return;
  }
  // Default initialization
  $('.form-check-input-styled').uniform();
    // Primary
    $('.form-check-input-styled-primary').uniform({
        wrapperClass: 'border-primary-600 text-primary-800'
    });

    // Danger
    $('.form-check-input-styled-danger').uniform({
        wrapperClass: 'border-danger-600 text-danger-800'
    });

    // Success
    $('.form-check-input-styled-success').uniform({
        wrapperClass: 'border-success-600 text-success-800'
    });

    // Warning
    $('.form-check-input-styled-warning').uniform({
        wrapperClass: 'border-warning-600 text-warning-800'
    });

    // Info
    $('.form-check-input-styled-info').uniform({
        wrapperClass: 'border-info-600 text-info-800'
    });

    // Custom color
    $('.form-check-input-styled-custom').uniform({
        wrapperClass: 'border-indigo-600 text-indigo-800'
    });
  
  /* SCM */
});
// CARRUSEL
// CARRUSEL
// CARRUSEL
// CARRUSEL

jQuery(document).ready(function(){

jQuery('.owl-carousel').owlCarousel({
      loop:false,
      margin:10,
      nav:false,
      responsive:{
          0:{
              items:1
          },
          600:{
              items:3
          },
          1000:{
              items:5
          }
      }
    });
window.addEventListener("resize", function()
{
    // Get screen size (inner/outerWidth, inner/outerHeight)

  var $owl = $('.owl-carousel').owlCarousel({
      items: 1,
      loop:false
  });

  $owl.trigger('refresh.owl.carousel');

}, false);
});

// REFRESH CAROUSEL






// FIN CARRUSEL
// FIN CARRUSEL
// FIN CARRUSEL
// FIN CARRUSEL

    



  


