DELIMITER |
CREATE TRIGGER `ordenes_busqueda_before_insert` BEFORE INSERT ON `ordenes`
FOR EACH ROW 
BEGIN
SET @PLACA=(SELECT codigo FROM transporte WHERE (id_empresa=NEW.id_empresa AND id=NEW.unidad_transporte));
  SET NEW.busqueda = CONCAT(COALESCE(NEW.codigo,''), ' - ', COALESCE(NEW.guia_remision,'') ,' - ', COALESCE(NEW.factura,'') ,' - ', COALESCE(NEW.fecha_ejecucion,'') , ' - ', COALESCE(@PLACA,''), ' - ', COALESCE(NEW.placa,''));
END |
DELIMITER ;

DELIMITER |
CREATE TRIGGER `ordenes_busqueda_before_update` BEFORE UPDATE ON `ordenes`
FOR EACH ROW 
BEGIN
COALESCE(`affiliate_name`,'')
SET @PLACA=COALESCE( (SELECT codigo FROM transporte WHERE (id_empresa=NEW.id_empresa AND id=NEW.unidad_transporte)) ,'') ;
                    COALESCE(NEW.guia_remision,'')
  SET NEW.busqueda = CONCAT(COALESCE(NEW.codigo,''), ' - ', COALESCE(NEW.guia_remision,'') ,' - ', COALESCE(NEW.factura,''),' - ', COALESCE(NEW.fecha_ejecucion,''), @PLACA, ' - ', COALESCE(NEW.placa,'') );
  SET NEW.busqueda = CONCAT(COALESCE(NEW.codigo,''), ' - ', COALESCE(NEW.guia_remision,'') ,' - ', COALESCE(NEW.factura,'') ,' - ', COALESCE(NEW.fecha_ejecucion,'') , ' - ', COALESCE(@PLACA,''), ' - ', COALESCE(NEW.placa,''));
END |
DELIMITER ;